#*****************************************************************************
#                                                                            *
# Make file for VMS                                                          *
# Author : J.Jansen (joukj@hrem.stm.tudelft.nl)                              *
# Date : 7 May 2002                                                          *
#                                                                            *
#*****************************************************************************

VERSION=GNUMERIC 1.0.6

CFLAGS=/name=(as_is,short)/float=ieee\
        /define=("HAVE_CONFIG_H=1","NEED_GNOMESUPPORT_H=1",\
	"GNOMELOCALEDIR=""gnumeric$root:[locale]""")/include=([],[--],[--.src])

OBJS=boot.obj,ms-biff.obj,ms-container.obj,ms-escher.obj,\
ms-excel-util.obj,ms-excel-read.obj,ms-excel-write.obj,ms-formula-read.obj,\
ms-formula-write.obj,ms-obj.obj,ms-chart.obj,ms-summary.obj

all : plugin.xml excel.exe
	write sys$output "Excel plugin created"

excel.exe : $(OBJS)
	@ WRITE_ SYS$OUTPUT "  generating excel1.opt"
	@ OPEN_/WRITE FILE  excel1.opt
	@ WRITE_ FILE "!"
	@ WRITE_ FILE "! excel1.opt generated by DESCRIP.$(MMS_EXT)" 
	@ WRITE_ FILE "!"
	@ WRITE_ FILE "IDENTIFICATION=""excelplugin"""
	@ WRITE_ FILE "GSMATCH=LEQUAL,1,0
	@ WRITE_ FILE "$(OBJS)"
	@ CLOSE_ FILE
	@ $(MMS)$(MMSQUALIFIERS)/ignore=warning excel_vms.opt
	@ WRITE_ SYS$OUTPUT "  linking excel.exe ..."
	@ LINK_/NODEB/SHARE=excel.exe/MAP=excel.map/FULL excel1.opt/opt,excel_vms.opt/opt,[-.vms]plugin.opt/opt

excel_vms.opt : $(OBJS)
	@ WRITE_ SYS$OUTPUT "  generating excel.map ..."
	@ LINK_/NODEB/NOSHARE/NOEXE/MAP=excel.map/FULL excel1.opt/OPT
	@ WRITE_ SYS$OUTPUT "  analyzing excel.map ..."
	@ @[-.vms]ANALYZE_MAP.COM excel.map excel_vms.opt

plugin.xml : plugin.xml_vms
	copy plugin.xml_vms plugin.xml

boot.obj boot.o : boot.c [--]gnumeric-config.h [--.src]gnumeric.h \
	[--.src]file.h [--.src]io-context.h [--.src]error-info.h \
	[--.src]main.h [--.src]workbook-view.h [--.src]workbook.h \
	[--.src]summary.h [--.src]plugin-util.h \
	[--.src]module-plugin-defs.h [--.src]plugin-loader-module.h \
	[--.src]func.h [--.src]value.h [--.src]position.h \
	[--.src]numbers.h [--.src]expr.h [--.src]parse-util.h \
	[--.src]plugin.h [--.src]gutils.h [--.src]plugin-loader.h \
	excel.h ms-summary.h boot.h ms-excel-util.h [--.src]sheet.h \
	[--.src]colrow.h [--.src]solver.h ms-excel-read.h ms-biff.h \
	ms-excel-biff.h biff-types.h ms-container.h
ms-biff.obj ms-biff.o : ms-biff.c [--]gnumeric-config.h \
	[--.src]gnumeric.h ms-biff.h biff-types.h
ms-chart.obj ms-chart.o : ms-chart.c [--]gnumeric-config.h \
	[--.src]gnumeric.h boot.h excel.h ms-chart.h ms-excel-read.h \
	ms-biff.h ms-excel-biff.h biff-types.h ms-container.h \
	ms-formula-read.h ms-escher.h [--.src]parse-util.h \
	[--.src]style-color.h [--.src]format.h [--.src]expr.h \
	[--.src]numbers.h [--.src]position.h [--.src]value.h \
	[--.src]gutils.h [--.src]gnumeric-graph.h \
	[--.src]xml-io.h [--.src]xml-io-version.h [--.src]file.h \
	[--.src]io-context.h [--.src]error-info.h
ms-container.obj ms-container.o : ms-container.c [--]gnumeric-config.h \
	[--.src]gnumeric.h ms-container.h excel.h ms-escher.h \
	ms-excel-read.h ms-biff.h ms-excel-biff.h biff-types.h ms-obj.h
ms-escher.obj ms-escher.o : ms-escher.c [--]gnumeric-config.h \
	[--.src]gnumeric.h boot.h ms-escher.h ms-excel-read.h \
	ms-biff.h ms-excel-biff.h excel.h biff-types.h ms-container.h \
	escher-types.h ms-obj.h [--.src]sheet-object-container.h \
	[--.src]sheet-object-bonobo.h [--.src]sheet-object-impl.h \
	[--.src]sheet-object.h [--.src]gui-gnumeric.h \
	[--.src]xml-io.h [--.src]xml-io-version.h [--.src]file.h \
	[--.src]io-context.h [--.src]error-info.h \
	[--.src]sheet-object-graphic.h
ms-excel-read.obj ms-excel-read.o : ms-excel-read.c \
	[--]gnumeric-config.h [--.src]gnumeric.h boot.h \
	ms-formula-read.h ms-excel-read.h ms-biff.h ms-excel-biff.h \
	excel.h biff-types.h ms-container.h ms-obj.h ms-chart.h \
	ms-escher.h ms-excel-util.h [--.src]sheet.h \
	[--.src]colrow.h [--.src]solver.h [--.src]numbers.h \
	ms-excel-xf.h [--.src]style.h [--.src]mstyle.h \
	[--.src]style-border.h [--.src]style-color.h \
	[--.src]workbook.h [--.src]summary.h [--.src]file.h \
	[--.src]io-context.h [--.src]error-info.h \
	[--.src]workbook-view.h [--.src]sheet-style.h \
	[--.src]sheet-merge.h [--.src]cell.h [--.src]eval.h \
	[--.src]format.h [--.src]formats.h [--.src]print-info.h \
	[--.src]selection.h [--.src]validation.h [--.src]str.h \
	[--.src]parse-util.h [--.src]ranges.h [--.src]expr-name.h \
	[--.src]expr.h [--.src]position.h [--.src]value.h \
	[--.src]gutils.h [--.src]application.h \
	[--.src]sheet-object-cell-comment.h [--.src]sheet-object.h \
	[--.src]gui-gnumeric.h [--.src]xml-io.h \
	[--.src]xml-io-version.h [--.src]sheet-object-widget.h \
	[--.src]sheet-object-graphic.h \
	[--.src]sheet-object-container.h \
	[--.src]sheet-object-bonobo.h [--.src]sheet-object-impl.h \
	[--.src]gnumeric-graph.h
ms-excel-util.obj ms-excel-util.o : ms-excel-util.c \
	[--]gnumeric-config.h [--.src]gnumeric.h boot.h \
	[--.src]style.h [--.src]mstyle.h ms-excel-util.h \
	[--.src]sheet.h [--.src]colrow.h [--.src]solver.h \
	[--.src]numbers.h
ms-excel-write.obj ms-excel-write.o : ms-excel-write.c \
	[--]gnumeric-config.h [--.src]gnumeric.h ms-formula-write.h \
	ms-excel-write.h ms-biff.h ms-excel-biff.h excel.h biff-types.h \
	ms-excel-util.h [--.src]sheet.h [--.src]colrow.h \
	[--.src]solver.h [--.src]numbers.h [--.src]style.h \
	[--.src]mstyle.h formula-types.h boot.h ms-excel-xf.h \
	[--.src]style-border.h [--.src]style-color.h \
	[--.src]format.h [--.src]position.h [--.src]cell.h \
	[--.src]eval.h [--.src]sheet-object.h \
	[--.src]gui-gnumeric.h [--.src]xml-io.h \
	[--.src]xml-io-version.h [--.src]file.h \
	[--.src]io-context.h [--.src]error-info.h \
	[--.src]sheet-object-cell-comment.h [--.src]application.h \
	[--.src]sheet-style.h [--.src]main.h [--.src]value.h \
	[--.src]parse-util.h [--.src]print-info.h \
	[--.src]workbook-view.h [--.src]workbook.h \
	[--.src]summary.h [--.src]expr.h [--.src]expr-name.h \
	[--.src]gutils.h [--.src]str.h
ms-formula-read.obj ms-formula-read.o : ms-formula-read.c \
	[--]gnumeric-config.h [--.src]gnumeric.h ms-formula-read.h \
	ms-excel-read.h ms-biff.h ms-excel-biff.h excel.h biff-types.h \
	ms-container.h formula-types.h boot.h [--.src]gutils.h \
	[--.src]numbers.h [--.src]func.h [--.src]value.h \
	[--.src]position.h [--.src]expr.h [--.src]parse-util.h \
	[--.src]expr-name.h [--.src]str.h [--.src]sheet.h \
	[--.src]colrow.h [--.src]solver.h
ms-formula-write.obj ms-formula-write.o : ms-formula-write.c \
	[--]gnumeric-config.h [--.src]gnumeric.h ms-formula-write.h \
	ms-excel-write.h ms-biff.h ms-excel-biff.h excel.h biff-types.h \
	ms-excel-util.h [--.src]sheet.h [--.src]colrow.h \
	[--.src]solver.h [--.src]numbers.h [--.src]style.h \
	[--.src]mstyle.h formula-types.h boot.h [--.src]gutils.h \
	[--.src]func.h [--.src]value.h [--.src]position.h \
	[--.src]expr.h [--.src]parse-util.h [--.src]expr-name.h \
	[--.src]str.h
ms-obj.obj ms-obj.o : ms-obj.c [--]gnumeric-config.h \
	[--.src]gnumeric.h [--.src]expr.h [--.src]numbers.h \
	[--.src]parse-util.h [--.src]position.h boot.h ms-obj.h \
	ms-excel-read.h ms-biff.h ms-excel-biff.h excel.h biff-types.h \
	ms-container.h ms-chart.h ms-escher.h \
	[--.src]sheet-object-widget.h [--.src]sheet-object.h \
	[--.src]gui-gnumeric.h [--.src]xml-io.h \
	[--.src]xml-io-version.h [--.src]file.h \
	[--.src]io-context.h [--.src]error-info.h \
	[--.src]sheet-object-graphic.h
ms-summary.obj ms-summary.o : ms-summary.c [--]gnumeric-config.h \
	[--.src]gnumeric.h ms-biff.h ms-excel-util.h \
	[--.src]sheet.h [--.src]colrow.h [--.src]solver.h \
	[--.src]numbers.h ms-summary.h [--.src]summary.h
