#*****************************************************************************
#                                                                            *
# Make file for VMS                                                          *
# Author : J.Jansen (joukj@hrem.stm.tudelft.nl)                              *
# Date : 15 May 2002                                                          *
#                                                                            *
#*****************************************************************************

VERSION=GNUMERIC 1.0.6

CFLAGS=/name=(as_is,short)/float=ieee\
        /define=("HAVE_CONFIG_H=1","NEED_GNOMESUPPORT_H=1",\
	"GNOMELOCALEDIR=""gnumeric$root:[locale]""")/include=([],[--],[--.src])

OBJS=boot.obj,html.obj,latex.obj,roff.obj,font.obj

all : plugin.xml html.exe
	write sys$output "html plugin created"

html.exe : $(OBJS)
	@ WRITE_ SYS$OUTPUT "  generating html1.opt"
	@ OPEN_/WRITE FILE  html1.opt
	@ WRITE_ FILE "!"
	@ WRITE_ FILE "! html1.opt generated by DESCRIP.$(MMS_EXT)" 
	@ WRITE_ FILE "!"
	@ WRITE_ FILE "IDENTIFICATION=""htmlplugin"""
	@ WRITE_ FILE "GSMATCH=LEQUAL,1,0
	@ WRITE_ FILE "$(OBJS)"
	@ CLOSE_ FILE
	@ $(MMS)$(MMSQUALIFIERS)/ignore=warning html_vms.opt
	@ WRITE_ SYS$OUTPUT "  linking html.exe ..."
	@ LINK_/NODEB/SHARE=html.exe/MAP=html.map/FULL html1.opt/opt,html_vms.opt/opt,[-.vms]plugin.opt/opt

html_vms.opt : $(OBJS)
	@ WRITE_ SYS$OUTPUT "  generating html.map ..."
	@ LINK_/NODEB/NOSHARE/NOEXE/MAP=html.map/FULL html1.opt/OPT
	@ WRITE_ SYS$OUTPUT "  analyzing html.map ..."
	@ @[-.vms]ANALYZE_MAP.COM html.map html_vms.opt

plugin.xml : plugin.xml_vms
	copy plugin.xml_vms plugin.xml

boot.obj boot.o : boot.c [--]gnumeric-config.h [--.src]gnumeric.h \
	boot.h [--.src]plugin.h [--.src]error-info.h \
	[--.src]gutils.h [--.src]numbers.h [--.src]plugin-util.h \
	html.h [--.src]file.h [--.src]io-context.h latex.h roff.h \
	[--.src]module-plugin-defs.h [--.src]plugin-loader-module.h \
	[--.src]func.h [--.src]value.h [--.src]position.h \
	[--.src]expr.h [--.src]parse-util.h \
	[--.src]plugin-loader.h
font.obj font.o : font.c [--]gnumeric-config.h [--.src]gnumeric.h \
	font.h [--.src]style.h [--.src]mstyle.h
html.obj html.o : html.c [--]gnumeric-config.h [--.src]gnumeric.h \
	[--.src]io-context.h [--.src]error-info.h \
	[--.src]workbook-view.h [--.src]file.h [--.src]workbook.h \
	[--.src]summary.h [--.src]sheet-style.h [--.src]style.h \
	[--.src]mstyle.h [--.src]style-color.h html.h \
	[--.src]cell.h [--.src]eval.h [--.src]cellspan.h \
	[--.src]sheet.h [--.src]colrow.h [--.src]solver.h \
	[--.src]numbers.h [--.src]sheet-merge.h [--.src]value.h \
	[--.src]position.h font.h [--.src]plugin-util.h \
	[--.src]rendered-value.h
latex.obj latex.o : latex.c [--]gnumeric-config.h [--.src]gnumeric.h \
	latex.h [--.src]file.h [--.src]io-context.h \
	[--.src]error-info.h [--.src]plugin-util.h \
	[--.src]workbook-view.h [--.src]workbook.h \
	[--.src]summary.h [--.src]sheet.h [--.src]colrow.h \
	[--.src]solver.h [--.src]numbers.h [--.src]sheet-merge.h \
	[--.src]style.h [--.src]mstyle.h [--.src]style-color.h \
	font.h [--.src]cell.h [--.src]eval.h [--.src]formats.h \
	[--.src]style-border.h [--.src]sheet-style.h \
	[--.src]parse-util.h [--.src]cellspan.h \
	[--.src]rendered-value.h
roff.obj roff.o : roff.c [--]gnumeric-config.h [--.src]gnumeric.h \
	[--.src]workbook-view.h [--.src]file.h \
	[--.src]io-context.h [--.src]error-info.h \
	[--.src]workbook.h [--.src]summary.h [--.src]sheet.h \
	[--.src]colrow.h [--.src]solver.h [--.src]numbers.h \
	[--.src]style.h [--.src]mstyle.h roff.h font.h \
	[--.src]cell.h [--.src]eval.h [--.src]plugin-util.h
