#*****************************************************************************
#                                                                            *
# Make file for VMS                                                          *
# Author : J.Jansen (joukj@hrem.stm.tudelft.nl)                              *
# Date : 1 May 2002                                                          *
#                                                                            *
#*****************************************************************************

CFLAGS=/name=(as_is,short)/float=ieee\
        /define=("HAVE_CONFIG_H=1","NEED_GNOMESUPPORT_H=1",\
	"GNOMELOCALEDIR=""gnumeric$root:[locale]""",\
	"GNUMERIC_DATADIR=""gnumeric$root:[src.dialogs]""",\
	"GNUMERIC_LIBDIR=""gnumeric$root:[000000]""",\
	"GNOME_ICONDIR=""gnumeric$root:[src.pixmaps]""")\
	/include=([],[-],[.dialogs],[.widgets])

OBJEXT=obj,

gnumeric_OBJECTS =  main_lib.obj,fnmatch.obj,analysis-tools.$(OBJEXT) \
application.$(OBJEXT) auto-format.$(OBJEXT) \
auto-correct.$(OBJEXT) cell.$(OBJEXT) cell-draw.$(OBJEXT) \
cellspan.$(OBJEXT) clipboard.$(OBJEXT) cmd-edit.$(OBJEXT) \
collect.$(OBJEXT) colrow.$(OBJEXT) commands.$(OBJEXT) \
complete.$(OBJEXT) complete-sheet.$(OBJEXT) \
command-context.$(OBJEXT) \
command-context-stderr.$(OBJEXT) consolidate.$(OBJEXT) \
io-context.$(OBJEXT) complex.$(OBJEXT) dates.$(OBJEXT) \
datetime.$(OBJEXT) error-info.$(OBJEXT) eval.$(OBJEXT) \
expr.$(OBJEXT) expr-name.$(OBJEXT) file.$(OBJEXT) \
file-autoft.$(OBJEXT) format-template.$(OBJEXT) \
formats.$(OBJEXT) func.$(OBJEXT) format.$(OBJEXT) \
global-gnome-font.$(OBJEXT) goal-seek.$(OBJEXT) \
gnumeric-simple-canvas.$(OBJEXT) \
gnumeric-canvas.$(OBJEXT) gnumeric-pane.obj

gnumeric_OBJECTS1 = gui-clipboard.$(OBJEXT) gui-file.$(OBJEXT) \
gui-util.$(OBJEXT) gutils.$(OBJEXT) history.$(OBJEXT) \
item-acetate.$(OBJEXT) item-bar.$(OBJEXT) \
item-cursor.$(OBJEXT) item-debug.$(OBJEXT) \
item-edit.$(OBJEXT) item-grid.$(OBJEXT) \
mathfunc.$(OBJEXT) mstyle.$(OBJEXT) \
number-match.$(OBJEXT) parser.$(OBJEXT) \
parse-util.$(OBJEXT) pattern.$(OBJEXT) \
plugin-loader-module.$(OBJEXT) plugin-loader.$(OBJEXT) \
plugin-service.$(OBJEXT) plugin-util.$(OBJEXT) \
plugin.$(OBJEXT) position.$(OBJEXT) \
preview-grid.$(OBJEXT) print.$(OBJEXT) \
print-cell.$(OBJEXT) print-info.$(OBJEXT) \
rangefunc.$(OBJEXT) ranges.$(OBJEXT) regression.$(OBJEXT) \
rendered-value.$(OBJEXT) search.$(OBJEXT) \
selection.$(OBJEXT) sheet.$(OBJEXT) sheet-merge.$(OBJEXT) \
sheet-autofill.$(OBJEXT) sheet-object.$(OBJEXT) \
sheet-object-cell-comment.$(OBJEXT) \
sheet-object-graphic.$(OBJEXT) \
sheet-object-widget.$(OBJEXT) sheet-style.obj

gnumeric_OBJECTS2 = sheet-control.$(OBJEXT) sheet-control-gui.$(OBJEXT) \
solver-lp.$(OBJEXT) sort.$(OBJEXT) str.$(OBJEXT) \
stf.$(OBJEXT) stf-export.$(OBJEXT) stf-parse.$(OBJEXT) \
style.$(OBJEXT) style-border.$(OBJEXT) \
style-color.$(OBJEXT) summary.$(OBJEXT) symbol.$(OBJEXT) \
validation.$(OBJEXT) value.$(OBJEXT) \
value-sheet.$(OBJEXT) workbook.$(OBJEXT) \
workbook-cmd-format.$(OBJEXT) workbook-edit.$(OBJEXT) \
workbook-format-toolbar.$(OBJEXT) \
workbook-object-toolbar.$(OBJEXT) \
workbook-private.$(OBJEXT) workbook-view.$(OBJEXT) \
workbook-control.$(OBJEXT) workbook-control-gui.$(OBJEXT) \
xml-io.$(OBJEXT) xml-io-autoft.$(OBJEXT) \
normal-args.obj

all :
        set default [.dialogs]
        $(MMS)$(MMSQUALIFIERS)
        set default [-.functions]
        $(MMS)$(MMSQUALIFIERS)
        set default [-.widgets]
        $(MMS)$(MMSQUALIFIERS)
	set default [-]
        $(MMS)$(MMSQUALIFIERS) gnumeric.exe

gnumeric.exe : main.$(OBJEXT) $(gnumeric_OBJECTS) $(gnumeric_OBJECTS1)\
	$(gnumeric_OBJECTS2) link.opt
	WRITE_ SYS$OUTPUT "  linking gnumericlib.exe ..."
	LINK_/NODEB/SHARE=gnumericlib.exe/MAP=gnumeric.map/FULL\
	gnumeric1.opt/opt,gnumeric.opt/opt
	copy gnumericlib.exe gnome$root:[share]
	link/exec=gnumeric.exe main.obj,link/opt

fnmatch.obj : fnmatch.c fnmatch.h

fnmatch.c : $DISK6:[JOUKJ.PUBLIC.GNU.BASH.LIB.GLOB]fnmatch.c
	copy $DISK6:[JOUKJ.PUBLIC.GNU.BASH.LIB.GLOB]fnmatch.c []

fnmatch.h : $DISK6:[JOUKJ.PUBLIC.GNU.BASH.LIB.GLOB]fnmatch.h
	copy $DISK6:[JOUKJ.PUBLIC.GNU.BASH.LIB.GLOB]fnmatch.h []

analysis-tools.obj : analysis-tools.c [-]gnumeric-config.h gnumeric.h \
	analysis-tools.h numbers.h mathfunc.h rangefunc.h \
	[.dialogs]dialogs.h consolidate.h summary.h \
	workbook-control-gui.h workbook-control.h gui-gnumeric.h \
	parse-util.h [.dialogs]tools.h value.h position.h cell.h eval.h \
	sheet.h colrow.h solver.h ranges.h style.h mstyle.h \
	regression.h sheet-style.h workbook.h file.h io-context.h \
	error-info.h format.h
application.obj : application.c [-]gnumeric-config.h gnumeric.h \
	application.h clipboard.h selection.h workbook-control.h \
	workbook-view.h file.h io-context.h error-info.h workbook.h \
	summary.h sheet.h colrow.h solver.h numbers.h sheet-private.h \
	auto-correct.h [.pixmaps]menu-print-preview.xpm \
	[.pixmaps]print-preview.xpm [.pixmaps]sort-descending.xpm \
	[.pixmaps]auto-sum.xpm [.pixmaps]equal-sign.xpm \
	[.pixmaps]function_selector.xpm [.pixmaps]label.xpm \
	[.pixmaps]frame.xpm [.pixmaps]button.xpm [.pixmaps]vscrollbar.xpm \
	[.pixmaps]checkbutton.xpm [.pixmaps]radiobutton.xpm \
	[.pixmaps]list.xpm [.pixmaps]combo.xpm [.pixmaps]rect.xpm \
	[.pixmaps]line.xpm [.pixmaps]arrow.xpm [.pixmaps]oval.xpm \
	[.pixmaps]money.xpm [.pixmaps]percent.xpm [.pixmaps]thousands.xpm \
	[.pixmaps]add_decimals.xpm [.pixmaps]remove_decimals.xpm \
	[.pixmaps]16_save.xpm [.pixmaps]16_save_as.xpm \
	[.pixmaps]16_search.xpm [.pixmaps]16_search_and_replace.xpm \
	[.pixmaps]16_cut.xpm [.pixmaps]16_copy.xpm [.pixmaps]16_paste.xpm \
	[.pixmaps]16_undo.xpm [.pixmaps]16_redo.xpm \
	[.pixmaps]16_add_column.xpm [.pixmaps]16_add_comment.xpm \
	[.pixmaps]16_add_row.xpm [.pixmaps]16_cell_height.xpm \
	[.pixmaps]16_cell_width.xpm \
	[.pixmaps]16_center_across_selection.xpm \
	[.pixmaps]16_delete_column.xpm [.pixmaps]16_delete_comment.xpm \
	[.pixmaps]16_delete_row.xpm [.pixmaps]16_edit_comment.xpm \
	[.pixmaps]16_hide_column.xpm [.pixmaps]16_hide_row.xpm \
	[.pixmaps]16_insert_component.xpm \
	[.pixmaps]16_insert_shaped_component.xpm \
	[.pixmaps]16_graph_guru.xpm [.pixmaps]16_merge_cells.xpm \
	[.pixmaps]16_split_cells.xpm [.pixmaps]16_sort_ascending.xpm \
	[.pixmaps]16_unhide_column.xpm [.pixmaps]16_unhide_row.xpm \
	[.pixmaps]16_group.xpm [.pixmaps]16_ungroup.xpm \
	[.pixmaps]16_show_detail.xpm [.pixmaps]16_hide_detail.xpm \
	[.pixmaps]24_save.xpm [.pixmaps]24_cut.xpm [.pixmaps]24_copy.xpm \
	[.pixmaps]24_paste.xpm [.pixmaps]24_undo.xpm [.pixmaps]24_redo.xpm \
	[.pixmaps]24_add_column.xpm [.pixmaps]24_add_row.xpm \
	[.pixmaps]24_cell_height.xpm [.pixmaps]24_cell_width.xpm \
	[.pixmaps]24_center_across_selection.xpm \
	[.pixmaps]24_delete_column.xpm [.pixmaps]24_delete_row.xpm \
	[.pixmaps]24_hide_column.xpm [.pixmaps]24_hide_row.xpm \
	[.pixmaps]24_insert_component.xpm \
	[.pixmaps]24_insert_shaped_component.xpm \
	[.pixmaps]24_graph_guru.xpm [.pixmaps]24_merge_cells.xpm \
	[.pixmaps]24_split_cells.xpm [.pixmaps]24_sort_ascending.xpm \
	[.pixmaps]24_unhide_column.xpm [.pixmaps]24_unhide_row.xpm \
	[.pixmaps]24_group.xpm [.pixmaps]24_ungroup.xpm \
	[.pixmaps]24_show_detail.xpm [.pixmaps]24_hide_detail.xpm
auto-correct.obj : auto-correct.c [-]gnumeric-config.h gnumeric.h \
	auto-correct.h dates.h
auto-format.obj : auto-format.c [-]gnumeric-config.h gnumeric.h \
	auto-format.h func.h value.h position.h numbers.h expr.h \
	parse-util.h gutils.h formats.h cell.h eval.h sheet.h colrow.h \
	solver.h workbook.h summary.h file.h io-context.h error-info.h \
	format.h
bonobo-io.obj : bonobo-io.c [-]gnumeric-config.h gnumeric.h bonobo-io.h \
	sheet-object-bonobo.h sheet-object-impl.h sheet-object.h \
	gui-gnumeric.h xml-io.h xml-io-version.h file.h io-context.h \
	error-info.h sheet-object-container.h workbook-view.h \
	workbook.h summary.h sheet.h colrow.h solver.h numbers.h
cell-draw.obj : cell-draw.c [-]gnumeric-config.h gnumeric.h cell-draw.h \
	style.h mstyle.h style-color.h cell.h eval.h sheet.h colrow.h \
	solver.h numbers.h str.h value.h position.h workbook.h \
	summary.h file.h io-context.h error-info.h rendered-value.h \
	sheet-control-gui.h gui-gnumeric.h sheet-control.h parse-util.h
cell.obj : cell.c [-]gnumeric-config.h gnumeric.h cell.h eval.h workbook.h \
	summary.h file.h io-context.h error-info.h sheet.h colrow.h \
	solver.h numbers.h expr.h parse-util.h position.h \
	rendered-value.h value.h style.h mstyle.h format.h \
	sheet-object-cell-comment.h sheet-object.h gui-gnumeric.h \
	xml-io.h xml-io-version.h sheet-style.h
cellspan.obj : cellspan.c [-]gnumeric-config.h gnumeric.h cellspan.h cell.h \
	eval.h sheet.h colrow.h solver.h numbers.h sheet-merge.h \
	sheet-style.h style.h mstyle.h value.h position.h \
	rendered-value.h
clipboard.obj : clipboard.c [-]gnumeric-config.h gnumeric.h clipboard.h \
	sheet.h colrow.h solver.h numbers.h sheet-style.h sheet-merge.h \
	eval.h selection.h application.h rendered-value.h \
	command-context.h error-info.h workbook-control.h workbook.h \
	summary.h file.h io-context.h ranges.h expr.h parse-util.h \
	position.h commands.h consolidate.h format-template.h sort.h \
	value.h [.dialogs]dialog-stf.h [.dialogs]dialog-stf-preview.h \
	gui-gnumeric.h stf.h stf-parse.h cell.h
cmd-edit.obj : cmd-edit.c [-]gnumeric-config.h gnumeric.h cmd-edit.h \
	application.h command-context.h error-info.h workbook-control.h \
	workbook.h summary.h file.h io-context.h sheet.h colrow.h \
	solver.h numbers.h cell.h eval.h expr.h parse-util.h position.h \
	selection.h ranges.h commands.h consolidate.h format-template.h \
	sort.h clipboard.h
collect.obj : collect.c [-]gnumeric-config.h gnumeric.h collect.h numbers.h \
	func.h value.h position.h expr.h parse-util.h datetime.h
colrow.obj : colrow.c [-]gnumeric-config.h gnumeric.h colrow.h sheet.h \
	solver.h numbers.h sheet-private.h application.h parse-util.h \
	selection.h ranges.h
command-context-stderr.obj : command-context-stderr.c [-]gnumeric-config.h \
	gnumeric.h command-context-stderr.h command-context-priv.h \
	command-context.h error-info.h ranges.h
command-context.obj : command-context.c [-]gnumeric-config.h gnumeric.h \
	command-context-priv.h command-context.h error-info.h
commands.obj : commands.c [-]gnumeric-config.h gnumeric.h commands.h \
	consolidate.h format-template.h sort.h application.h sheet.h \
	colrow.h solver.h numbers.h sheet-style.h format.h formats.h \
	command-context.h error-info.h workbook-control.h \
	workbook-view.h file.h io-context.h workbook.h summary.h \
	ranges.h eval.h value.h position.h expr.h parse-util.h cell.h \
	sheet-merge.h clipboard.h selection.h datetime.h style-border.h \
	auto-correct.h sheet-autofill.h mstyle.h style.h search.h \
	gutils.h sheet-object-cell-comment.h sheet-object.h \
	gui-gnumeric.h xml-io.h xml-io-version.h sheet-control.h
complete-sheet.obj : complete-sheet.c [-]gnumeric-config.h gnumeric.h \
	complete-sheet.h complete.h sheet.h colrow.h solver.h numbers.h \
	cell.h eval.h str.h value.h position.h
complete.obj : complete.c [-]gnumeric-config.h gnumeric.h complete.h
complex.obj : complex.c [-]gnumeric-config.h gnumeric.h complex.h numbers.h
consolidate.obj : consolidate.c [-]gnumeric-config.h gnumeric.h \
	consolidate.h cell.h eval.h func.h value.h position.h numbers.h \
	expr.h parse-util.h ranges.h selection.h sheet.h colrow.h \
	solver.h str.h workbook.h summary.h file.h io-context.h \
	error-info.h
corba-args.obj : corba-args.c [-]gnumeric-config.h gnumeric.h main.h \
	sheet.h colrow.h solver.h numbers.h embeddable-grid.h \
	[-.idl]GNOME_Gnumeric.h sheet-control-gui.h gui-gnumeric.h \
	sheet-control.h corba.h workbook-private.h workbook.h summary.h \
	file.h io-context.h error-info.h ranges.h value.h position.h
dates.obj : dates.c [-]gnumeric-config.h gnumeric.h dates.h
datetime.obj : datetime.c [-]gnumeric-config.h gnumeric.h datetime.h \
	numbers.h number-match.h value.h position.h
embeddable-grid.obj : embeddable-grid.c [-]gnumeric-config.h gnumeric.h \
	embeddable-grid.h [-.idl]GNOME_Gnumeric.h sheet-control-gui.h \
	gui-gnumeric.h sheet-control.h sheet.h colrow.h solver.h \
	numbers.h workbook.h summary.h file.h io-context.h error-info.h \
	sheet-private.h
error-info.obj : error-info.c [-]gnumeric-config.h gnumeric.h error-info.h
eval.obj : eval.c [-]gnumeric-config.h gnumeric.h eval.h parse-util.h \
	ranges.h value.h position.h numbers.h main.h workbook-control.h \
	workbook-view.h file.h io-context.h error-info.h \
	workbook-private.h workbook.h summary.h expr.h expr-name.h \
	cell.h sheet.h colrow.h solver.h
expr-name.obj : expr-name.c [-]gnumeric-config.h gnumeric.h expr-name.h \
	expr.h numbers.h parse-util.h position.h eval.h cell.h value.h \
	workbook.h summary.h file.h io-context.h error-info.h str.h \
	sheet.h colrow.h solver.h sheet-style.h
expr.obj : expr.c [-]gnumeric-config.h gnumeric.h expr.h numbers.h \
	parse-util.h position.h expr-name.h eval.h format.h func.h \
	value.h cell.h sheet.h colrow.h solver.h str.h ranges.h \
	number-match.h workbook.h summary.h file.h io-context.h \
	error-info.h gutils.h
file-autoft.obj : file-autoft.c [-]gnumeric-config.h gnumeric.h \
	file-autoft.h format-template.h gutils.h numbers.h \
	workbook-control.h xml-io.h xml-io-version.h file.h \
	io-context.h error-info.h xml-io-autoft.h
file.obj : file.c [-]gnumeric-config.h gnumeric.h file.h io-context.h \
	error-info.h file-priv.h command-context.h sheet.h colrow.h \
	solver.h numbers.h application.h workbook-control.h \
	workbook-view.h workbook.h summary.h gutils.h
format-template.obj : format-template.c [-]gnumeric-config.h gnumeric.h \
	format-template.h mstyle.h style.h xml-io-autoft.h sheet.h \
	colrow.h solver.h numbers.h sheet-style.h style-border.h \
	command-context.h error-info.h ranges.h
format.obj : format.c [-]gnumeric-config.h gnumeric.h format.h \
	style-color.h expr.h numbers.h parse-util.h position.h dates.h \
	value.h portability.h datetime.h mathfunc.h str.h \
	number-match.h
formats.obj : formats.c [-]gnumeric-config.h gnumeric.h formats.h format.h
func.obj : func.c [-]gnumeric-config.h gnumeric.h func.h value.h position.h \
	numbers.h expr.h parse-util.h portability.h eval.h cell.h str.h \
	symbol.h workbook.h summary.h file.h io-context.h error-info.h \
	sheet.h colrow.h solver.h number-match.h
global-gnome-font.obj : global-gnome-font.c [-]gnumeric-config.h gnumeric.h \
	global-gnome-font.h
gnumeric-canvas.obj : gnumeric-canvas.c [-]gnumeric-config.h gnumeric.h \
	gnumeric-canvas.h gnumeric-simple-canvas.h gui-gnumeric.h \
	sheet-control-gui-priv.h sheet-control-gui.h sheet-control.h \
	sheet-control-priv.h gnumeric-pane.h sheet-object.h xml-io.h \
	xml-io-version.h file.h io-context.h error-info.h gui-util.h \
	workbook-control-gui.h workbook-control.h gutils.h numbers.h \
	mstyle.h style.h style-color.h selection.h parse-util.h \
	ranges.h sheet.h colrow.h solver.h application.h \
	workbook-view.h workbook-edit.h [.widgets]gnumeric-expr-entry.h \
	workbook-control-gui-priv.h workbook-control-priv.h \
	command-context-priv.h command-context.h workbook.h summary.h \
	workbook-cmd-format.h commands.h consolidate.h \
	format-template.h sort.h formats.h cmd-edit.h clipboard.h \
	sheet-object-container.h sheet-object-bonobo.h \
	sheet-object-impl.h
gnumeric-graph.obj : gnumeric-graph.c [-]gnumeric-config.h gnumeric.h \
	gnumeric-graph.h eval.h expr.h numbers.h parse-util.h \
	position.h value.h cell.h sheet.h colrow.h solver.h \
	workbook-private.h workbook.h summary.h file.h io-context.h \
	error-info.h ranges.h formats.h format.h mstyle.h style.h \
	sheet-style.h sheet-object-container.h sheet-object-bonobo.h \
	sheet-object-impl.h sheet-object.h gui-gnumeric.h xml-io.h \
	xml-io-version.h [.dialogs]dialogs.h consolidate.h \
	workbook-control-gui.h workbook-control.h sheet-control-gui.h \
	sheet-control.h [-.idl]GNOME_Gnumeric_Graph.h
gnumeric-pane.obj : gnumeric-pane.c [-]gnumeric-config.h gnumeric.h \
	gnumeric-pane.h gui-gnumeric.h gnumeric-canvas.h \
	gnumeric-simple-canvas.h item-bar.h item-cursor.h item-edit.h \
	item-grid.h sheet-control-gui.h sheet-control.h \
	workbook-control.h sheet.h colrow.h solver.h numbers.h ranges.h
gnumeric-simple-canvas.obj : gnumeric-simple-canvas.c [-]gnumeric-config.h \
	gnumeric.h gnumeric-simple-canvas.h gui-gnumeric.h \
	sheet-control-gui-priv.h sheet-control-gui.h sheet-control.h \
	sheet-control-priv.h gnumeric-pane.h sheet-object.h xml-io.h \
	xml-io-version.h file.h io-context.h error-info.h
goal-seek.obj : goal-seek.c [-]gnumeric-config.h gnumeric.h goal-seek.h \
	numbers.h mathfunc.h
gui-clipboard.obj : gui-clipboard.c [-]gnumeric-config.h gnumeric.h \
	gui-clipboard.h gui-gnumeric.h gui-util.h \
	workbook-control-gui.h workbook-control.h error-info.h gutils.h \
	numbers.h clipboard.h selection.h application.h \
	workbook-control-gui-priv.h workbook-control-priv.h \
	command-context-priv.h command-context.h file.h io-context.h \
	[.widgets]gnumeric-expr-entry.h workbook.h summary.h ranges.h \
	sheet.h colrow.h solver.h sheet-style.h commands.h \
	consolidate.h format-template.h sort.h xml-io.h \
	xml-io-version.h value.h position.h [.dialogs]dialog-stf.h \
	[.dialogs]dialog-stf-preview.h stf.h stf-parse.h cell.h eval.h \
	mstyle.h style.h
gui-file.obj : gui-file.c [-]gnumeric-config.h gnumeric.h gui-file.h \
	gui-gnumeric.h gui-util.h workbook-control-gui.h \
	workbook-control.h error-info.h gutils.h numbers.h \
	[.dialogs]dialogs.h consolidate.h summary.h sheet.h colrow.h \
	solver.h application.h io-context.h command-context.h \
	workbook-control-gui-priv.h workbook-control-priv.h \
	command-context-priv.h file.h [.widgets]gnumeric-expr-entry.h \
	workbook-view.h workbook.h
gui-util.obj : gui-util.c [-]gnumeric-config.h gnumeric.h gui-util.h \
	workbook-control-gui.h workbook-control.h gui-gnumeric.h \
	error-info.h gutils.h numbers.h workbook-control-gui-priv.h \
	workbook-control-priv.h command-context-priv.h \
	command-context.h file.h io-context.h \
	[.widgets]gnumeric-expr-entry.h parse-util.h style.h mstyle.h \
	style-color.h workbook-private.h workbook.h summary.h
gutils.obj : gutils.c [-]gnumeric-config.h gnumeric.h gutils.h numbers.h \
	sheet.h colrow.h solver.h ranges.h
history.obj : history.c [-]gnumeric-config.h gnumeric.h history.h \
	workbook-control-gui.h workbook-control.h gui-gnumeric.h \
	application.h workbook-control-gui-priv.h \
	workbook-control-priv.h command-context-priv.h \
	command-context.h error-info.h file.h io-context.h \
	[.widgets]gnumeric-expr-entry.h workbook-view.h workbook.h \
	summary.h
io-context.obj : io-context.c [-]gnumeric-config.h gnumeric.h \
	io-context-priv.h io-context.h error-info.h workbook-control.h \
	sheet.h colrow.h solver.h numbers.h workbook.h summary.h file.h \
	command-context.h gui-util.h workbook-control-gui.h \
	gui-gnumeric.h gutils.h
item-acetate.obj : item-acetate.c [-]gnumeric-config.h gnumeric.h \
	item-acetate.h gui-gnumeric.h item-debug.h gnumeric-canvas.h \
	gnumeric-simple-canvas.h
item-bar.obj : item-bar.c [-]gnumeric-config.h gnumeric.h item-bar.h \
	gui-gnumeric.h item-debug.h style.h mstyle.h sheet.h colrow.h \
	solver.h numbers.h sheet-control-gui-priv.h sheet-control-gui.h \
	sheet-control.h sheet-control-priv.h gnumeric-pane.h \
	sheet-object.h xml-io.h xml-io-version.h file.h io-context.h \
	error-info.h application.h selection.h gnumeric-canvas.h \
	gnumeric-simple-canvas.h workbook-edit.h workbook-control-gui.h \
	workbook-control.h [.widgets]gnumeric-expr-entry.h gui-util.h \
	gutils.h parse-util.h commands.h consolidate.h \
	format-template.h sort.h
item-cursor.obj : item-cursor.c [-]gnumeric-config.h gnumeric.h \
	item-cursor.h gui-gnumeric.h item-debug.h gnumeric-canvas.h \
	gnumeric-simple-canvas.h sheet-control-gui-priv.h \
	sheet-control-gui.h sheet-control.h sheet-control-priv.h \
	gnumeric-pane.h sheet-object.h xml-io.h xml-io-version.h file.h \
	io-context.h error-info.h style-color.h cell.h eval.h \
	clipboard.h selection.h sheet.h colrow.h solver.h numbers.h \
	sheet-merge.h value.h position.h workbook.h summary.h \
	workbook-edit.h workbook-control-gui.h workbook-control.h \
	[.widgets]gnumeric-expr-entry.h gui-util.h gutils.h cmd-edit.h \
	commands.h consolidate.h format-template.h sort.h ranges.h \
	parse-util.h
item-debug.obj : item-debug.c [-]gnumeric-config.h gnumeric.h item-debug.h
item-edit.obj : item-edit.c [-]gnumeric-config.h gnumeric.h item-edit.h \
	gui-gnumeric.h item-cursor.h item-debug.h gnumeric-canvas.h \
	gnumeric-simple-canvas.h sheet-control-gui-priv.h \
	sheet-control-gui.h sheet-control.h sheet-control-priv.h \
	gnumeric-pane.h sheet-object.h xml-io.h xml-io-version.h file.h \
	io-context.h error-info.h sheet.h colrow.h solver.h numbers.h \
	sheet-style.h value.h position.h ranges.h style.h mstyle.h \
	parse-util.h sheet-merge.h workbook.h summary.h workbook-edit.h \
	workbook-control-gui.h workbook-control.h \
	[.widgets]gnumeric-expr-entry.h gui-util.h gutils.h
item-grid.obj : item-grid.c [-]gnumeric-config.h gnumeric.h item-grid.h \
	gui-gnumeric.h item-debug.h gnumeric-canvas.h \
	gnumeric-simple-canvas.h workbook-edit.h workbook-control-gui.h \
	workbook-control.h [.widgets]gnumeric-expr-entry.h \
	workbook-view.h file.h io-context.h error-info.h \
	workbook-control-gui-priv.h workbook-control-priv.h \
	command-context-priv.h command-context.h \
	sheet-control-gui-priv.h sheet-control-gui.h sheet-control.h \
	sheet-control-priv.h gnumeric-pane.h sheet-object.h xml-io.h \
	xml-io-version.h sheet.h colrow.h solver.h numbers.h \
	sheet-style.h sheet-merge.h sheet-object-impl.h cell.h eval.h \
	cell-draw.h cellspan.h ranges.h selection.h parse-util.h \
	mstyle.h style.h style-border.h style-color.h pattern.h \
	portability.h commands.h consolidate.h format-template.h sort.h
main.obj : main.c [-]gnumeric-config.h gnumeric.h main.h stf.h plugin.h \
	error-info.h gutils.h numbers.h format.h formats.h \
	command-context.h workbook.h summary.h file.h io-context.h \
	workbook-control-gui.h workbook-control.h gui-gnumeric.h \
	workbook-view.h sheet-object.h xml-io.h xml-io-version.h \
	number-match.h expr-name.h expr.h parse-util.h position.h \
	func.h value.h application.h print-info.h global-gnome-font.h \
	auto-format.h style.h mstyle.h style-color.h str.h eval.h \
	sheet-autofill.h command-context-stderr.h bonobo-io.h
main_lib.obj : main.c [-]gnumeric-config.h gnumeric.h main.h stf.h plugin.h \
	error-info.h gutils.h numbers.h format.h formats.h \
	command-context.h workbook.h summary.h file.h io-context.h \
	workbook-control-gui.h workbook-control.h gui-gnumeric.h \
	workbook-view.h sheet-object.h xml-io.h xml-io-version.h \
	number-match.h expr-name.h expr.h parse-util.h position.h \
	func.h value.h application.h print-info.h global-gnome-font.h \
	auto-format.h style.h mstyle.h style-color.h str.h eval.h \
	sheet-autofill.h command-context-stderr.h bonobo-io.h
	cc/name=(as_is,short)/float=ieee\
        /define=("HAVE_CONFIG_H=1","NEED_GNOMESUPPORT_H=1",\
        "GNOMELOCALEDIR=""gnumeric$root:[locale]""",\
        "GNUMERIC_DATADIR=""gnumeric$root:[src.dialogs]""",\
        "GNUMERIC_LIBDIR=""gnumeric$root:[000000]""",\
        "GNOME_ICONDIR=""gnumeric$root:[src.pixmaps]""",\
	"VMSNOMAIN=1")/include=([],[-],[.dialogs],[.widgets])\
	/obj=main_lib.obj main.c
mathfunc.obj : mathfunc.c [-]gnumeric-config.h gnumeric.h mathfunc.h \
	numbers.h
mstyle.obj : mstyle.c [-]gnumeric-config.h gnumeric.h mstyle.h style.h \
	str.h style-border.h style-color.h validation.h pattern.h \
	format.h sheet-style.h
number-match.obj : number-match.c [-]gnumeric-config.h gnumeric.h \
	number-match.h formats.h dates.h numbers.h gutils.h datetime.h \
	style.h mstyle.h format.h value.h position.h mathfunc.h str.h
parse-util.obj : parse-util.c [-]gnumeric-config.h gnumeric.h parse-util.h \
	workbook.h summary.h file.h io-context.h error-info.h sheet.h \
	colrow.h solver.h numbers.h value.h position.h ranges.h cell.h \
	eval.h expr.h number-match.h format.h
parser.obj : parser.c [-]gnumeric-config.h gnumeric.h number-match.h expr.h \
	numbers.h parse-util.h position.h expr-name.h workbook.h \
	summary.h file.h io-context.h error-info.h sheet.h colrow.h \
	solver.h format.h application.h gutils.h auto-format.h func.h \
	value.h style.h mstyle.h portability.h str.h
pattern.obj : pattern.c [-]gnumeric-config.h gnumeric.h pattern.h style.h \
	mstyle.h style-color.h
plugin-loader-module.obj : plugin-loader-module.c [-]gnumeric-config.h \
	gnumeric.h plugin-loader-module.h func.h value.h position.h \
	numbers.h expr.h parse-util.h error-info.h plugin.h gutils.h \
	plugin-loader.h file.h io-context.h plugin-service.h
plugin-loader.obj : plugin-loader.c [-]gnumeric-config.h gnumeric.h \
	plugin-loader.h error-info.h plugin.h gutils.h numbers.h \
	plugin-service.h file.h io-context.h func.h value.h position.h \
	expr.h parse-util.h
plugin-service.obj : plugin-service.c [-]gnumeric-config.h gnumeric.h \
	plugin-service.h file.h io-context.h error-info.h func.h \
	value.h position.h numbers.h expr.h parse-util.h plugin.h \
	gutils.h portability.h workbook.h summary.h workbook-view.h \
	file-priv.h
plugin-util.obj : plugin-util.c [-]gnumeric-config.h gnumeric.h \
	plugin-util.h error-info.h command-context.h io-context.h
plugin.obj : plugin.c [-]gnumeric-config.h gnumeric.h plugin.h error-info.h \
	gutils.h numbers.h gui-util.h workbook-control-gui.h \
	workbook-control.h gui-gnumeric.h command-context.h file.h \
	io-context.h workbook.h summary.h workbook-view.h \
	plugin-loader.h plugin-loader-module.h func.h value.h \
	position.h expr.h parse-util.h plugin-service.h
position.obj : position.c [-]gnumeric-config.h gnumeric.h position.h \
	sheet.h colrow.h solver.h numbers.h cell.h eval.h value.h \
	ranges.h
preview-grid.obj : preview-grid.c [-]gnumeric-config.h gnumeric.h \
	preview-grid.h cell.h eval.h cell-draw.h colrow.h pattern.h \
	style.h mstyle.h portability.h rendered-value.h sheet-style.h \
	style-border.h style-color.h value.h position.h numbers.h
print-cell.obj : print-cell.c [-]gnumeric-config.h gnumeric.h print-cell.h \
	eval.h format.h style-color.h parse-util.h cell.h value.h \
	position.h numbers.h style-border.h pattern.h style.h mstyle.h \
	cellspan.h ranges.h sheet.h colrow.h solver.h sheet-style.h \
	sheet-merge.h rendered-value.h portability.h str.h
print-info.obj : print-info.c [-]gnumeric-config.h gnumeric.h print-info.h \
	ranges.h format.h func.h value.h position.h numbers.h expr.h \
	parse-util.h datetime.h sheet.h colrow.h solver.h
print.obj : print.c [-]gnumeric-config.h gnumeric.h print.h \
	workbook-control-gui.h workbook-control.h gui-gnumeric.h \
	gui-util.h error-info.h gutils.h numbers.h sheet-object.h \
	xml-io.h xml-io-version.h file.h io-context.h \
	sheet-object-impl.h selection.h workbook.h summary.h \
	[.dialogs]dialogs.h consolidate.h main.h sheet.h colrow.h \
	solver.h value.h position.h cellspan.h print-info.h \
	print-cell.h application.h sheet-style.h ranges.h
rangefunc.obj : rangefunc.c [-]gnumeric-config.h gnumeric.h rangefunc.h \
	numbers.h mathfunc.h
ranges.obj : ranges.c [-]gnumeric-config.h gnumeric.h ranges.h numbers.h \
	expr.h parse-util.h position.h expr-name.h sheet.h colrow.h \
	solver.h sheet-style.h value.h cell.h eval.h style.h mstyle.h \
	workbook.h summary.h file.h io-context.h error-info.h
regression.obj : regression.c [-]gnumeric-config.h gnumeric.h regression.h \
	numbers.h rangefunc.h
rendered-value.obj : rendered-value.c [-]gnumeric-config.h gnumeric.h \
	rendered-value.h expr.h numbers.h parse-util.h position.h \
	cell.h eval.h style.h mstyle.h style-color.h sheet.h colrow.h \
	solver.h sheet-merge.h sheet-style.h format.h value.h \
	sheet-control-gui.h gui-gnumeric.h sheet-control.h \
	application.h str.h
search.obj : search.c [-]gnumeric-config.h gnumeric.h search.h position.h \
	ranges.h sheet.h colrow.h solver.h numbers.h workbook.h \
	summary.h file.h io-context.h error-info.h cell.h eval.h \
	value.h sheet-object-cell-comment.h sheet-object.h \
	gui-gnumeric.h xml-io.h xml-io-version.h
selection.obj : selection.c [-]gnumeric-config.h gnumeric.h selection.h \
	sheet.h colrow.h solver.h numbers.h parse-util.h clipboard.h \
	ranges.h application.h command-context.h error-info.h \
	workbook-control.h workbook-view.h file.h io-context.h \
	workbook.h summary.h commands.h consolidate.h format-template.h \
	sort.h value.h position.h cell.h eval.h sheet-merge.h \
	sheet-private.h sheet-control.h
sheet-autofill.obj : sheet-autofill.c [-]gnumeric-config.h gnumeric.h \
	sheet-autofill.h sheet.h colrow.h solver.h numbers.h cell.h \
	eval.h value.h position.h workbook.h summary.h file.h \
	io-context.h error-info.h sheet-style.h dates.h expr.h \
	parse-util.h formats.h datetime.h mstyle.h style.h ranges.h \
	sheet-merge.h str.h mathfunc.h
sheet-control-gui.obj : sheet-control-gui.c [-]gnumeric-config.h gnumeric.h \
	sheet-control-gui-priv.h sheet-control-gui.h gui-gnumeric.h \
	sheet-control.h sheet-control-priv.h gnumeric-pane.h \
	sheet-object.h xml-io.h xml-io-version.h file.h io-context.h \
	error-info.h item-debug.h sheet.h colrow.h solver.h numbers.h \
	sheet-private.h sheet-merge.h workbook.h summary.h \
	workbook-view.h workbook-edit.h workbook-control-gui.h \
	workbook-control.h [.widgets]gnumeric-expr-entry.h \
	workbook-cmd-format.h workbook-control-gui-priv.h \
	workbook-control-priv.h command-context-priv.h \
	command-context.h cell.h eval.h selection.h style.h mstyle.h \
	sheet-object-impl.h sheet-object-cell-comment.h gui-util.h \
	gutils.h parse-util.h application.h cellspan.h cmd-edit.h \
	commands.h consolidate.h format-template.h sort.h clipboard.h \
	[.dialogs]dialogs.h ranges.h gnumeric-canvas.h \
	gnumeric-simple-canvas.h item-acetate.h item-bar.h \
	item-cursor.h [.widgets]gnumeric-vscrollbar.h \
	[.widgets]gnumeric-hscrollbar.h
sheet-control.obj : sheet-control.c [-]gnumeric-config.h gnumeric.h \
	sheet-control-priv.h sheet-control.h
sheet-merge.obj : sheet-merge.c [-]gnumeric-config.h gnumeric.h \
	sheet-merge.h sheet-object.h gui-gnumeric.h xml-io.h \
	xml-io-version.h file.h io-context.h error-info.h sheet.h \
	colrow.h solver.h numbers.h sheet-private.h ranges.h cell.h \
	eval.h cellspan.h sheet-style.h mstyle.h style.h expr.h \
	parse-util.h position.h command-context.h
sheet-object-bonobo.obj : sheet-object-bonobo.c [-]gnumeric-config.h \
	gnumeric.h sheet-object-bonobo.h sheet-object-impl.h \
	sheet-object.h gui-gnumeric.h xml-io.h xml-io-version.h file.h \
	io-context.h error-info.h workbook.h summary.h sheet.h colrow.h \
	solver.h numbers.h workbook-private.h gui-util.h \
	workbook-control-gui.h workbook-control.h gutils.h
sheet-object-cell-comment.obj : sheet-object-cell-comment.c \
	[-]gnumeric-config.h gnumeric.h sheet-object-cell-comment.h \
	sheet-object.h gui-gnumeric.h xml-io.h xml-io-version.h file.h \
	io-context.h error-info.h sheet-object-impl.h sheet.h colrow.h \
	solver.h numbers.h sheet-merge.h sheet-control-gui-priv.h \
	sheet-control-gui.h sheet-control.h sheet-control-priv.h \
	gnumeric-pane.h
sheet-object-container.obj : sheet-object-container.c [-]gnumeric-config.h \
	gnumeric.h sheet-object-container.h sheet-object-bonobo.h \
	sheet-object-impl.h sheet-object.h gui-gnumeric.h xml-io.h \
	xml-io-version.h file.h io-context.h error-info.h \
	workbook-control-gui-priv.h workbook-control-gui.h \
	workbook-control.h workbook-control-priv.h \
	command-context-priv.h command-context.h \
	[.widgets]gnumeric-expr-entry.h workbook-private.h workbook.h \
	summary.h sheet.h colrow.h solver.h numbers.h gui-util.h \
	gutils.h sheet-control-gui.h sheet-control.h gnumeric-canvas.h \
	gnumeric-simple-canvas.h sheet-object-widget.h
sheet-object-graphic.obj : sheet-object-graphic.c [-]gnumeric-config.h \
	gnumeric.h sheet-object-graphic.h sheet-object.h gui-gnumeric.h \
	xml-io.h xml-io-version.h file.h io-context.h error-info.h \
	sheet-control-gui.h sheet-control.h gnumeric-canvas.h \
	gnumeric-simple-canvas.h str.h gui-util.h \
	workbook-control-gui.h workbook-control.h gutils.h numbers.h \
	style-color.h sheet-object-impl.h
sheet-object-item.obj : sheet-object-item.c [-]gnumeric-config.h gnumeric.h \
	sheet-object-item.h sheet-object-bonobo.h sheet-object-impl.h \
	sheet-object.h gui-gnumeric.h xml-io.h xml-io-version.h file.h \
	io-context.h error-info.h gui-util.h workbook-control-gui.h \
	workbook-control.h gutils.h numbers.h gnumeric-canvas.h \
	gnumeric-simple-canvas.h sheet-control-gui-priv.h \
	sheet-control-gui.h sheet-control.h sheet-control-priv.h \
	gnumeric-pane.h workbook-control-gui-priv.h \
	workbook-control-priv.h command-context-priv.h \
	command-context.h [.widgets]gnumeric-expr-entry.h \
	[.dialogs]dialogs.h consolidate.h summary.h
sheet-object-widget.obj : sheet-object-widget.c [-]gnumeric-config.h \
	gnumeric.h sheet-object-widget.h sheet-object.h gui-gnumeric.h \
	xml-io.h xml-io-version.h file.h io-context.h error-info.h \
	gui-util.h workbook-control-gui.h workbook-control.h gutils.h \
	numbers.h eval.h gnumeric-canvas.h gnumeric-simple-canvas.h \
	sheet-control-gui.h sheet-control.h sheet-object-impl.h expr.h \
	parse-util.h position.h value.h ranges.h selection.h \
	workbook-edit.h [.widgets]gnumeric-expr-entry.h workbook.h \
	summary.h sheet.h colrow.h solver.h cell.h mathfunc.h \
	[.dialogs]dialogs.h consolidate.h [.widgets]gnumeric-combo-text.h
sheet-object.obj : sheet-object.c [-]gnumeric-config.h gnumeric.h \
	sheet-object.h gui-gnumeric.h xml-io.h xml-io-version.h file.h \
	io-context.h error-info.h sheet-control-gui.h sheet-control.h \
	[.dialogs]dialogs.h consolidate.h summary.h \
	workbook-control-gui.h workbook-control.h sheet-object-impl.h \
	workbook-edit.h [.widgets]gnumeric-expr-entry.h sheet.h colrow.h \
	solver.h numbers.h sheet-private.h expr.h parse-util.h \
	position.h ranges.h commands.h format-template.h sort.h \
	sheet-object-graphic.h sheet-object-cell-comment.h \
	sheet-object-widget.h
sheet-style.obj : sheet-style.c [-]gnumeric-config.h gnumeric.h \
	sheet-style.h ranges.h sheet.h colrow.h solver.h numbers.h \
	expr.h parse-util.h position.h format.h style.h mstyle.h \
	style-border.h cell.h eval.h portability.h
sheet.obj : sheet.c [-]gnumeric-config.h gnumeric.h sheet.h colrow.h \
	solver.h numbers.h command-context.h error-info.h \
	sheet-control.h sheet-style.h workbook-control.h \
	workbook-view.h file.h io-context.h workbook-private.h \
	workbook.h summary.h workbook-edit.h workbook-control-gui.h \
	gui-gnumeric.h [.widgets]gnumeric-expr-entry.h parse-util.h \
	eval.h value.h position.h number-match.h format.h clipboard.h \
	selection.h ranges.h print-info.h mstyle.h style.h \
	style-color.h application.h commands.h consolidate.h \
	format-template.h sort.h cellspan.h cell.h sheet-merge.h \
	sheet-private.h expr-name.h expr.h rendered-value.h \
	sheet-object-impl.h sheet-object.h xml-io.h xml-io-version.h \
	sheet-object-cell-comment.h
solver-lp.obj : solver-lp.c [-]gnumeric-config.h gnumeric.h parse-util.h \
	solver.h numbers.h func.h value.h position.h expr.h cell.h \
	eval.h sheet.h colrow.h sheet-style.h [.dialogs]dialogs.h \
	consolidate.h summary.h workbook-control-gui.h \
	workbook-control.h gui-gnumeric.h mstyle.h style.h mathfunc.h \
	analysis-tools.h
sort.obj : sort.c [-]gnumeric-config.h gnumeric.h sort.h commands.h \
	consolidate.h format-template.h clipboard.h cell.h eval.h \
	value.h position.h numbers.h sheet.h colrow.h solver.h ranges.h
stf-export.obj : stf-export.c [-]gnumeric-config.h gnumeric.h stf-export.h \
	sheet.h colrow.h solver.h numbers.h cell.h eval.h
stf-parse.obj : stf-parse.c [-]gnumeric-config.h gnumeric.h stf-parse.h \
	sheet.h colrow.h solver.h numbers.h cell.h eval.h clipboard.h
stf.obj : stf.c [-]gnumeric-config.h gnumeric.h stf.h plugin-util.h \
	error-info.h file.h io-context.h sheet.h colrow.h solver.h \
	numbers.h sheet-style.h style.h mstyle.h formats.h \
	io-context-priv.h workbook-control.h command-context.h \
	workbook-view.h workbook.h summary.h [.dialogs]dialog-stf.h \
	[.dialogs]dialog-stf-preview.h gui-gnumeric.h stf-parse.h cell.h \
	eval.h [.dialogs]dialog-stf-export.h stf-export.h \
	workbook-control-gui.h
str.obj : str.c [-]gnumeric-config.h gnumeric.h str.h
style-border.obj : style-border.c [-]gnumeric-config.h gnumeric.h \
	style-border.h style-color.h style.h mstyle.h sheet-style.h \
	sheet.h colrow.h solver.h numbers.h
style-color.obj : style-color.c [-]gnumeric-config.h gnumeric.h \
	style-color.h
style.obj : style.c [-]gnumeric-config.h gnumeric.h style.h mstyle.h \
	format.h style-color.h application.h sheet.h colrow.h solver.h \
	numbers.h cell.h eval.h value.h position.h gui-util.h \
	workbook-control-gui.h workbook-control.h gui-gnumeric.h \
	error-info.h gutils.h
summary.obj : summary.c [-]gnumeric-config.h gnumeric.h summary.h gutils.h \
	numbers.h
symbol.obj : symbol.c [-]gnumeric-config.h gnumeric.h symbol.h gutils.h \
	numbers.h
validation.obj : validation.c [-]gnumeric-config.h gnumeric.h validation.h \
	str.h expr.h numbers.h parse-util.h position.h mstyle.h style.h \
	sheet.h colrow.h solver.h cell.h eval.h value.h mathfunc.h \
	number-match.h workbook-control.h
value-sheet.obj : value-sheet.c [-]gnumeric-config.h gnumeric.h value.h \
	position.h numbers.h ranges.h str.h sheet.h colrow.h solver.h \
	cell.h eval.h workbook.h summary.h file.h io-context.h \
	error-info.h parse-util.h
value.obj : value.c [-]gnumeric-config.h gnumeric.h value.h position.h \
	numbers.h parse-util.h style.h mstyle.h format.h portability.h \
	str.h mathfunc.h
workbook-cmd-format.obj : workbook-cmd-format.c [-]gnumeric-config.h \
	gnumeric.h workbook-cmd-format.h workbook-control-gui.h \
	workbook-control.h gui-gnumeric.h eval.h ranges.h gui-util.h \
	error-info.h gutils.h numbers.h selection.h workbook.h \
	summary.h file.h io-context.h application.h [.dialogs]dialogs.h \
	consolidate.h format.h sheet.h colrow.h solver.h commands.h \
	format-template.h sort.h style-border.h style-color.h
workbook-control-corba.obj : workbook-control-corba.c [-]gnumeric-config.h \
	gnumeric.h workbook-control-corba.h command-context.h \
	error-info.h workbook-control-priv.h command-context-priv.h \
	workbook-control.h
workbook-control-gui.obj : workbook-control-gui.c [-]gnumeric-config.h \
	gnumeric.h workbook-control-gui-priv.h workbook-control-gui.h \
	workbook-control.h gui-gnumeric.h workbook-control-priv.h \
	command-context-priv.h command-context.h error-info.h file.h \
	io-context.h [.widgets]gnumeric-expr-entry.h application.h \
	workbook-object-toolbar.h workbook-format-toolbar.h \
	workbook-view.h workbook-edit.h workbook.h summary.h sheet.h \
	colrow.h solver.h numbers.h sheet-merge.h sheet-private.h \
	sheet-control-gui-priv.h sheet-control-gui.h sheet-control.h \
	sheet-control-priv.h gnumeric-pane.h sheet-object.h xml-io.h \
	xml-io-version.h gnumeric-canvas.h gnumeric-simple-canvas.h \
	[.dialogs]dialogs.h consolidate.h commands.h format-template.h \
	sort.h cmd-edit.h workbook-cmd-format.h selection.h clipboard.h \
	print.h gui-clipboard.h main.h eval.h position.h parse-util.h \
	ranges.h value.h validation.h str.h history.h cell.h gui-file.h \
	search.h [.pixmaps]equal-sign.xpm gui-util.h gutils.h \
	[.widgets]widget-editable-label.h [.widgets]gnumeric-combo-text.h \
	sheet-object-container.h sheet-object-bonobo.h \
	sheet-object-impl.h
workbook-control.obj : workbook-control.c [-]gnumeric-config.h gnumeric.h \
	workbook-control-priv.h command-context-priv.h \
	command-context.h error-info.h workbook-control.h \
	workbook-view.h file.h io-context.h workbook.h summary.h \
	sheet.h colrow.h solver.h numbers.h selection.h commands.h \
	consolidate.h format-template.h sort.h value.h position.h \
	ranges.h expr-name.h expr.h parse-util.h
workbook-edit.obj : workbook-edit.c [-]gnumeric-config.h gnumeric.h \
	workbook-edit.h workbook-control-gui.h workbook-control.h \
	gui-gnumeric.h [.widgets]gnumeric-expr-entry.h \
	workbook-control-gui-priv.h workbook-control-priv.h \
	command-context-priv.h command-context.h error-info.h file.h \
	io-context.h workbook-view.h workbook.h summary.h application.h \
	complete-sheet.h complete.h commands.h consolidate.h \
	format-template.h sort.h mstyle.h style.h sheet-control-gui.h \
	sheet-control.h sheet-style.h sheet.h colrow.h solver.h \
	numbers.h cell.h eval.h expr.h parse-util.h position.h \
	number-match.h validation.h str.h value.h
workbook-format-toolbar.obj : workbook-format-toolbar.c \
	[-]gnumeric-config.h gnumeric.h workbook-format-toolbar.h \
	gui-gnumeric.h gui-util.h workbook-control-gui.h \
	workbook-control.h error-info.h gutils.h numbers.h \
	[.dialogs]dialogs.h consolidate.h summary.h selection.h \
	global-gnome-font.h workbook-control-gui-priv.h \
	workbook-control-priv.h command-context-priv.h \
	command-context.h file.h io-context.h \
	[.widgets]gnumeric-expr-entry.h workbook-view.h workbook.h \
	sheet.h colrow.h solver.h sheet-style.h cell.h eval.h \
	application.h commands.h format-template.h sort.h format.h \
	formats.h style-color.h style-border.h ranges.h mstyle.h \
	style.h [.pixmaps]font.xpm [.pixmaps]bucket.xpm \
	[.pixmaps]border_all.xpm [.pixmaps]border_bottom.xpm \
	[.pixmaps]border_double_bottom.xpm [.pixmaps]border_left.xpm \
	[.pixmaps]border_none.xpm [.pixmaps]border_outside.xpm \
	[.pixmaps]border_right.xpm [.pixmaps]border_thick_bottom.xpm \
	[.pixmaps]border_thick_outside.xpm \
	[.pixmaps]border_top_n_bottom.xpm \
	[.pixmaps]border_top_n_double_bottom.xpm \
	[.pixmaps]border_top_n_thick_bottom.xpm
workbook-object-toolbar.obj : workbook-object-toolbar.c \
	[-]gnumeric-config.h gnumeric.h workbook-object-toolbar.h \
	workbook-control-gui.h workbook-control.h gui-gnumeric.h \
	sheet.h colrow.h solver.h numbers.h sheet-control-gui.h \
	sheet-control.h workbook-control-gui-priv.h \
	workbook-control-priv.h command-context-priv.h \
	command-context.h error-info.h file.h io-context.h \
	[.widgets]gnumeric-expr-entry.h workbook.h summary.h \
	sheet-object-widget.h sheet-object.h xml-io.h xml-io-version.h \
	sheet-object-graphic.h gui-util.h gutils.h
workbook-private.obj : workbook-private.c [-]gnumeric-config.h gnumeric.h \
	workbook-private.h workbook.h summary.h file.h io-context.h \
	error-info.h
workbook-view.obj : workbook-view.c [-]gnumeric-config.h gnumeric.h \
	workbook-view.h file.h io-context.h error-info.h \
	workbook-control-priv.h command-context-priv.h \
	command-context.h workbook-control.h workbook.h summary.h \
	history.h workbook-control-gui.h gui-gnumeric.h \
	workbook-private.h application.h sheet.h colrow.h solver.h \
	numbers.h sheet-merge.h sheet-style.h str.h format.h expr.h \
	parse-util.h position.h value.h ranges.h mstyle.h style.h \
	cell.h eval.h
workbook.obj : workbook.c [-]gnumeric-config.h gnumeric.h workbook.h \
	summary.h file.h io-context.h error-info.h workbook-view.h \
	workbook-control.h workbook-private.h command-context.h \
	application.h sheet.h colrow.h solver.h numbers.h \
	sheet-control.h expr.h parse-util.h position.h expr-name.h \
	eval.h value.h ranges.h history.h workbook-control-gui.h \
	gui-gnumeric.h commands.h consolidate.h format-template.h \
	sort.h main.h gutils.h sheet-object-container.h \
	sheet-object-bonobo.h sheet-object-impl.h sheet-object.h \
	xml-io.h xml-io-version.h
xml-io-autoft.obj : xml-io-autoft.c [-]gnumeric-config.h gnumeric.h \
	xml-io-autoft.h format-template.h command-context.h \
	error-info.h workbook-control.h str.h xml-io.h xml-io-version.h \
	file.h io-context.h gutils.h numbers.h plugin-util.h mstyle.h \
	style.h
xml-io.obj : xml-io.c [-]gnumeric-config.h gnumeric.h xml-io.h \
	xml-io-version.h file.h io-context.h error-info.h style-color.h \
	style-border.h style.h mstyle.h sheet.h colrow.h solver.h \
	numbers.h sheet-style.h sheet-object.h gui-gnumeric.h \
	sheet-object-cell-comment.h str.h print-info.h expr.h \
	parse-util.h position.h expr-name.h cell.h eval.h value.h \
	validation.h sheet-merge.h command-context.h workbook-control.h \
	workbook-view.h workbook.h summary.h selection.h clipboard.h \
	format.h ranges.h plugin-util.h
