#*****************************************************************************
#                                                                            *
# Make file for VMS                                                          *
# Author : J.Jansen (joukj@hrem.stm.tudelft.nl)                              *
# Date : 1 May 2002                                                          *
#                                                                            *
#*****************************************************************************

CFLAGS=/name=(as_is,short)/float=ieee\
        /define=("HAVE_CONFIG_H=1","NEED_GNOMESUPPORT_H=1",\
        "GNOMELOCALEDIR=""gnumeric$root:[locale]""",\
        "GNUMERIC_DATADIR=gnumeric$root:[src.dialogs]""",\
        "GNOME_ICONDIR=""gnumeric$root:[src.pixmaps]""",\
	"GNUMERIC_ICONDIR=""gnumeric$root:[src.pixmaps]""")\
	/include=([],[-],[--])

OBJEXT=obj,

OBJS=dialog-about.$(OBJEXT) \
dialog-advanced-filter.$(OBJEXT) \
dialog-analysis-tools.$(OBJEXT) \
dialog-autocorrect.$(OBJEXT) dialog-autoformat.$(OBJEXT) \
dialog-autosave.$(OBJEXT) dialog-cell-comment.$(OBJEXT) \
dialog-cell-format.$(OBJEXT) dialog-cell-sort.$(OBJEXT) \
dialog-consolidate.$(OBJEXT) \
dialog-function-select.$(OBJEXT) \
dialog-formula-guru.$(OBJEXT) dialog-goal-seek.$(OBJEXT) \
dialog-goto-cell.$(OBJEXT) dialog-insert-cells.$(OBJEXT) \
dialog-define-names.$(OBJEXT) \
dialog-delete-cells.$(OBJEXT) \
dialog-paste-special.$(OBJEXT) \
dialog-plugin-manager.$(OBJEXT) \
dialog-printer-setup.$(OBJEXT) dialog-search.$(OBJEXT) \
dialog-search-replace.$(OBJEXT) \
dialog-sheet-order.$(OBJEXT) \
dialog-simple-input.$(OBJEXT) dialog-solver.$(OBJEXT) \
dialog-stf.$(OBJEXT) dialog-stf-main-page.$(OBJEXT) \
dialog-stf-csv-page.$(OBJEXT) \
dialog-stf-fixed-page.$(OBJEXT) \
dialog-stf-format-page.$(OBJEXT) \
dialog-stf-preview.$(OBJEXT) dialog-stf-export.$(OBJEXT) \
dialog-stf-export-sheet-page.$(OBJEXT) \
dialog-stf-export-format-page.$(OBJEXT) \
dialog-tabulate.$(OBJEXT) dialog-summary.$(OBJEXT) \
dialog-workbook-attr.$(OBJEXT) dialog-zoom.$(OBJEXT) \
utils-dialog.obj

all : $(OBJS)
	library/create libdialogs.olb $(OBJS)
	write sys$output "libdialogs.olb created"

dialog-about.obj : dialog-about.c [--]gnumeric-config.h \
	[-]gnumeric.h dialogs.h [-]consolidate.h \
	[-]summary.h [-]workbook-control-gui.h \
	[-]workbook-control.h [-]gui-gnumeric.h \
	[-]workbook.h [-]file.h [-]io-context.h \
	[-]error-info.h [-]gui-util.h [-]gutils.h \
	[-]numbers.h
dialog-advanced-filter.obj : dialog-advanced-filter.c \
	[--]gnumeric-config.h [-]gnumeric.h dialogs.h \
	[-]consolidate.h [-]summary.h \
	[-]workbook-control-gui.h [-]workbook-control.h \
	[-]gui-gnumeric.h [-]sheet.h [-]colrow.h \
	[-]solver.h [-]numbers.h [-]cell.h \
	[-]eval.h [-]ranges.h [-]func-util.h \
	[-]gui-util.h [-]error-info.h [-]gutils.h \
	[-]analysis-tools.h
dialog-analysis-tools.obj : dialog-analysis-tools.c [--]gnumeric-config.h \
	[-]gnumeric.h dialogs.h [-]consolidate.h \
	[-]summary.h [-]workbook-control-gui.h \
	[-]workbook-control.h [-]gui-gnumeric.h \
	[-]workbook.h [-]file.h [-]io-context.h \
	[-]error-info.h [-]workbook-edit.h \
	[-.widgets]gnumeric-expr-entry.h \
	[-]workbook-view.h [-]gui-util.h \
	[-]gutils.h [-]numbers.h utils-dialog.h \
	[-]parse-util.h [-]format.h tools.h \
	[-]analysis-tools.h [-]sheet.h [-]colrow.h \
	[-]solver.h [-]expr.h [-]position.h \
	[-]number-match.h [-]ranges.h \
	[-]selection.h [-]value.h
dialog-autocorrect.obj : dialog-autocorrect.c [--]gnumeric-config.h \
	[-]gnumeric.h dialogs.h [-]consolidate.h \
	[-]summary.h [-]workbook-control-gui.h \
	[-]workbook-control.h [-]gui-gnumeric.h \
	[-]auto-correct.h [-]gui-util.h \
	[-]error-info.h [-]gutils.h [-]numbers.h \
	[-]workbook-edit.h \
	[-.widgets]gnumeric-expr-entry.h
dialog-autoformat.obj : dialog-autoformat.c [--]gnumeric-config.h \
	[-]gnumeric.h dialogs.h [-]consolidate.h \
	[-]summary.h [-]workbook-control-gui.h \
	[-]workbook-control.h [-]gui-gnumeric.h \
	[-]gui-util.h [-]error-info.h [-]gutils.h \
	[-]numbers.h [-]mstyle.h [-]style.h \
	[-]style-border.h [-]value.h [-]position.h \
	[-]preview-grid.h [-]format-template.h \
	[-]file-autoft.h [-]command-context.h \
	[-]workbook.h [-]file.h [-]io-context.h \
	[-]commands.h [-]sort.h [-]selection.h
dialog-autosave.obj : dialog-autosave.c [--]gnumeric-config.h \
	[-]gnumeric.h dialogs.h [-]consolidate.h \
	[-]summary.h [-]workbook-control-gui.h \
	[-]workbook-control.h [-]gui-gnumeric.h \
	[-]workbook.h [-]file.h [-]io-context.h \
	[-]error-info.h [-]workbook-control-gui-priv.h \
	[-]workbook-control-priv.h \
	[-]command-context-priv.h [-]command-context.h \
	[-.widgets]gnumeric-expr-entry.h [-]gui-util.h \
	[-]gutils.h [-]numbers.h
dialog-cell-comment.obj : dialog-cell-comment.c [--]gnumeric-config.h \
	[-]gnumeric.h dialogs.h [-]consolidate.h \
	[-]summary.h [-]workbook-control-gui.h \
	[-]workbook-control.h [-]gui-gnumeric.h \
	[-]gui-util.h [-]error-info.h [-]gutils.h \
	[-]numbers.h [-]sheet.h [-]colrow.h \
	[-]solver.h [-]cell.h [-]eval.h \
	[-]sheet-object-cell-comment.h [-]sheet-object.h \
	[-]xml-io.h [-]xml-io-version.h [-]file.h \
	[-]io-context.h
dialog-cell-format.obj : dialog-cell-format.c [--]gnumeric-config.h \
	[-]gnumeric.h dialogs.h [-]consolidate.h \
	[-]summary.h [-]workbook-control-gui.h \
	[-]workbook-control.h [-]gui-gnumeric.h \
	[-]sheet.h [-]colrow.h [-]solver.h \
	[-]numbers.h [-]sheet-merge.h \
	[-]sheet-style.h [-]style-color.h utils-dialog.h \
	[-.widgets]widget-font-selector.h [-]mstyle.h \
	[-]style.h [-]preview-grid.h \
	[-.widgets]gnumeric-dashed-canvas-line.h \
	[-]style-border.h \
	[-.widgets]gnumeric-combo-text.h [-]gui-util.h \
	[-]error-info.h [-]gutils.h [-]selection.h \
	[-]str.h [-]ranges.h [-]cell.h \
	[-]eval.h [-]expr.h [-]parse-util.h \
	[-]position.h [-]format.h [-]formats.h \
	[-]pattern.h [-]application.h \
	[-]validation.h [-]workbook.h [-]file.h \
	[-]io-context.h [-]workbook-edit.h \
	[-.widgets]gnumeric-expr-entry.h [-]commands.h \
	[-]format-template.h [-]sort.h
dialog-cell-sort.obj : dialog-cell-sort.c [--]gnumeric-config.h \
	[-]gnumeric.h dialogs.h [-]consolidate.h \
	[-]summary.h [-]workbook-control-gui.h \
	[-]workbook-control.h [-]gui-gnumeric.h \
	[-]workbook-view.h [-]file.h \
	[-]io-context.h [-]error-info.h \
	[-]gui-util.h [-]gutils.h [-]numbers.h \
	[-]cell.h [-]eval.h [-]expr.h \
	[-]parse-util.h [-]position.h \
	[-]selection.h utils-dialog.h [-]ranges.h \
	[-]commands.h [-]format-template.h \
	[-]sort.h [-]workbook.h [-]sheet.h \
	[-]colrow.h [-]solver.h
dialog-consolidate.obj : dialog-consolidate.c [--]gnumeric-config.h \
	[-]gnumeric.h dialogs.h [-]consolidate.h \
	[-]summary.h [-]workbook-control-gui.h \
	[-]workbook-control.h [-]gui-gnumeric.h \
	[-]commands.h [-]format-template.h \
	[-]sort.h [-]func.h [-]value.h \
	[-]position.h [-]numbers.h [-]expr.h \
	[-]parse-util.h [-]gui-util.h \
	[-]error-info.h [-]gutils.h [-]ranges.h \
	[-]selection.h [-.widgets]gnumeric-expr-entry.h \
	[-]workbook-edit.h
dialog-define-names.obj : dialog-define-names.c [--]gnumeric-config.h \
	[-]gnumeric.h dialogs.h [-]consolidate.h \
	[-]summary.h [-]workbook-control-gui.h \
	[-]workbook-control.h [-]gui-gnumeric.h \
	[-]expr.h [-]numbers.h [-]parse-util.h \
	[-]position.h [-]str.h [-]expr-name.h \
	[-]sheet.h [-]colrow.h [-]solver.h \
	[-]workbook.h [-]file.h [-]io-context.h \
	[-]error-info.h [-]workbook-edit.h \
	[-.widgets]gnumeric-expr-entry.h [-]gui-util.h \
	[-]gutils.h
dialog-delete-cells.obj : dialog-delete-cells.c [--]gnumeric-config.h \
	[-]gnumeric.h dialogs.h [-]consolidate.h \
	[-]summary.h [-]workbook-control-gui.h \
	[-]workbook-control.h [-]gui-gnumeric.h \
	[-]gui-util.h [-]error-info.h [-]gutils.h \
	[-]numbers.h [-]selection.h [-]workbook.h \
	[-]file.h [-]io-context.h [-]sheet.h \
	[-]colrow.h [-]solver.h [-]commands.h \
	[-]format-template.h [-]sort.h [-]ranges.h \
	[-]cmd-edit.h
dialog-formula-guru.obj : dialog-formula-guru.c [--]gnumeric-config.h \
	[-]gnumeric.h dialogs.h [-]consolidate.h \
	[-]summary.h [-]workbook-control-gui.h \
	[-]workbook-control.h [-]gui-gnumeric.h \
	[-]parse-util.h [-]gui-util.h \
	[-]error-info.h [-]gutils.h [-]numbers.h \
	[-]workbook.h [-]file.h [-]io-context.h \
	[-]sheet.h [-]colrow.h [-]solver.h \
	[-]workbook-edit.h \
	[-.widgets]gnumeric-expr-entry.h [-]cell.h \
	[-]eval.h [-]expr.h [-]position.h \
	[-]func.h [-]value.h [-]format.h
dialog-function-select.obj : dialog-function-select.c \
	[--]gnumeric-config.h [-]gnumeric.h dialogs.h \
	[-]consolidate.h [-]summary.h \
	[-]workbook-control-gui.h [-]workbook-control.h \
	[-]gui-gnumeric.h [-]gui-util.h \
	[-]error-info.h [-]gutils.h [-]numbers.h \
	[-]func.h [-]value.h [-]position.h \
	[-]expr.h [-]parse-util.h [-]workbook.h \
	[-]file.h [-]io-context.h [-]str.h
dialog-goal-seek.obj : dialog-goal-seek.c [--]gnumeric-config.h \
	[-]gnumeric.h dialogs.h [-]consolidate.h \
	[-]summary.h [-]workbook-control-gui.h \
	[-]workbook-control.h [-]gui-gnumeric.h \
	[-]gui-util.h [-]error-info.h [-]gutils.h \
	[-]numbers.h [-]cell.h [-]eval.h \
	[-]sheet.h [-]colrow.h [-]solver.h \
	[-]expr.h [-]parse-util.h [-]position.h \
	[-]format.h [-]value.h [-]mstyle.h \
	[-]style.h [-]ranges.h [-]number-match.h \
	[-]workbook.h [-]file.h [-]io-context.h \
	[-]workbook-edit.h \
	[-.widgets]gnumeric-expr-entry.h \
	[-]workbook-view.h utils-dialog.h [-]goal-seek.h \
	[-]mathfunc.h
dialog-goto-cell.obj : dialog-goto-cell.c [--]gnumeric-config.h \
	[-]gnumeric.h dialogs.h [-]consolidate.h \
	[-]summary.h [-]workbook-control-gui.h \
	[-]workbook-control.h [-]gui-gnumeric.h \
	[-]gui-util.h [-]error-info.h [-]gutils.h \
	[-]numbers.h [-]workbook.h [-]file.h \
	[-]io-context.h utils-dialog.h
dialog-graph-guru.obj : dialog-graph-guru.c [--]gnumeric-config.h \
	[-]gnumeric.h dialogs.h [-]consolidate.h \
	[-]summary.h [-]workbook-control-gui.h \
	[-]workbook-control.h [-]gui-gnumeric.h \
	[-]gnumeric-graph.h [-]gui-util.h \
	[-]error-info.h [-]gutils.h [-]numbers.h \
	[-]ranges.h [-]selection.h [-]expr.h \
	[-]parse-util.h [-]position.h [-]sheet.h \
	[-]colrow.h [-]solver.h [-]workbook-edit.h \
	[-.widgets]gnumeric-expr-entry.h \
	[-]sheet-control-gui.h [-]sheet-control.h \
	[-]sheet-object.h [-]xml-io.h \
	[-]xml-io-version.h [-]file.h \
	[-]io-context.h [-.widgets]gnumeric-combo-text.h \
	[--.idl]GNOME_Gnumeric_Graph.h
dialog-insert-cells.obj : dialog-insert-cells.c [--]gnumeric-config.h \
	[-]gnumeric.h dialogs.h [-]consolidate.h \
	[-]summary.h [-]workbook-control-gui.h \
	[-]workbook-control.h [-]gui-gnumeric.h \
	[-]gui-util.h [-]error-info.h [-]gutils.h \
	[-]numbers.h [-]selection.h [-]workbook.h \
	[-]file.h [-]io-context.h [-]sheet.h \
	[-]colrow.h [-]solver.h [-]commands.h \
	[-]format-template.h [-]sort.h [-]ranges.h \
	[-]cmd-edit.h
dialog-paste-special.obj : dialog-paste-special.c [--]gnumeric-config.h \
	[-]gnumeric.h dialogs.h [-]consolidate.h \
	[-]summary.h [-]workbook-control-gui.h \
	[-]workbook-control.h [-]gui-gnumeric.h \
	[-]gui-util.h [-]error-info.h [-]gutils.h \
	[-]numbers.h [-]clipboard.h [-]eval.h
dialog-plugin-manager.obj : dialog-plugin-manager.c [--]gnumeric-config.h \
	[-]gnumeric.h dialogs.h [-]consolidate.h \
	[-]summary.h [-]workbook-control-gui.h \
	[-]workbook-control.h [-]gui-gnumeric.h \
	[-]gui-util.h [-]error-info.h [-]gutils.h \
	[-]numbers.h [-]command-context.h \
	[-]workbook.h [-]file.h [-]io-context.h \
	[-]plugin.h
dialog-printer-setup.obj : dialog-printer-setup.c [--]gnumeric-config.h \
	[-]gnumeric.h dialogs.h [-]consolidate.h \
	[-]summary.h [-]workbook-control-gui.h \
	[-]workbook-control.h [-]gui-gnumeric.h \
	[-]gui-util.h [-]error-info.h [-]gutils.h \
	[-]numbers.h [-]print-info.h [-]print.h \
	[-]ranges.h [-]sheet.h [-]colrow.h \
	[-]solver.h [-]workbook.h [-]file.h \
	[-]io-context.h [-]workbook-edit.h \
	[-.widgets]gnumeric-expr-entry.h utils-dialog.h \
	[-]style.h [-]mstyle.h
dialog-search-replace.obj : dialog-search-replace.c [--]gnumeric-config.h \
	[-]gnumeric.h dialogs.h [-]consolidate.h \
	[-]summary.h [-]workbook-control-gui.h \
	[-]workbook-control.h [-]gui-gnumeric.h \
	[-]gui-util.h [-]error-info.h [-]gutils.h \
	[-]numbers.h [-]search.h [-]position.h \
	[-.widgets]gnumeric-expr-entry.h \
	[-]workbook-edit.h
dialog-search.obj : dialog-search.c [--]gnumeric-config.h \
	[-]gnumeric.h dialogs.h [-]consolidate.h \
	[-]summary.h [-]workbook-control-gui.h \
	[-]workbook-control.h [-]gui-gnumeric.h \
	[-]gui-util.h [-]error-info.h [-]gutils.h \
	[-]numbers.h [-]search.h [-]position.h \
	[-]sheet.h [-]colrow.h [-]solver.h \
	[-]workbook.h [-]file.h [-]io-context.h \
	[-]workbook-view.h [-]selection.h \
	[-]cell.h [-]eval.h [-]value.h \
	[-]parse-util.h [-]workbook-edit.h \
	[-.widgets]gnumeric-expr-entry.h \
	[-]sheet-object-cell-comment.h [-]sheet-object.h \
	[-]xml-io.h [-]xml-io-version.h
dialog-sheet-order.obj : dialog-sheet-order.c [--]gnumeric-config.h \
	[-]gnumeric.h dialogs.h [-]consolidate.h \
	[-]summary.h [-]workbook-control-gui.h \
	[-]workbook-control.h [-]gui-gnumeric.h \
	[-]gui-util.h [-]error-info.h [-]gutils.h \
	[-]numbers.h [-]workbook-view.h [-]file.h \
	[-]io-context.h [-]workbook.h [-]sheet.h \
	[-]colrow.h [-]solver.h [-]application.h \
	[-]expr.h [-]parse-util.h [-]position.h
dialog-simple-input.obj : dialog-simple-input.c [--]gnumeric-config.h \
	[-]gnumeric.h dialogs.h [-]consolidate.h \
	[-]summary.h [-]workbook-control-gui.h \
	[-]workbook-control.h [-]gui-gnumeric.h \
	[-]gui-util.h [-]error-info.h [-]gutils.h \
	[-]numbers.h [-]workbook.h [-]file.h \
	[-]io-context.h
dialog-solver.obj : dialog-solver.c [--]gnumeric-config.h \
	[-]gnumeric.h dialogs.h [-]consolidate.h \
	[-]summary.h [-]workbook-control-gui.h \
	[-]workbook-control.h [-]gui-gnumeric.h \
	[-]gui-util.h [-]error-info.h [-]gutils.h \
	[-]numbers.h utils-dialog.h [-]func.h \
	[-]value.h [-]position.h [-]expr.h \
	[-]parse-util.h tools.h [-]analysis-tools.h \
	[-]cell.h [-]eval.h [-]sheet.h \
	[-]colrow.h [-]solver.h [-]workbook-edit.h \
	[-.widgets]gnumeric-expr-entry.h [-]workbook.h \
	[-]file.h [-]io-context.h [-]ranges.h
dialog-stf-csv-page.obj : dialog-stf-csv-page.c [--]gnumeric-config.h \
	[-]gnumeric.h dialog-stf.h dialog-stf-preview.h \
	[-]gui-gnumeric.h [-]sheet.h [-]colrow.h \
	[-]solver.h [-]numbers.h [-]stf.h \
	[-]stf-parse.h [-]cell.h [-]eval.h
dialog-stf-export-format-page.obj : dialog-stf-export-format-page.c \
	[--]gnumeric-config.h [-]gnumeric.h \
	dialog-stf-export-private.h [-]gui-gnumeric.h \
	[-]gui-util.h [-]workbook-control-gui.h \
	[-]workbook-control.h [-]error-info.h \
	[-]gutils.h [-]numbers.h [-]stf-export.h
dialog-stf-export-sheet-page.obj : dialog-stf-export-sheet-page.c \
	[--]gnumeric-config.h [-]gnumeric.h \
	dialog-stf-export-private.h [-]gui-gnumeric.h \
	[-]gui-util.h [-]workbook-control-gui.h \
	[-]workbook-control.h [-]error-info.h \
	[-]gutils.h [-]numbers.h [-]stf-export.h \
	[-]workbook.h [-]summary.h [-]file.h \
	[-]io-context.h [-]sheet.h [-]colrow.h \
	[-]solver.h
dialog-stf-export.obj : dialog-stf-export.c [--]gnumeric-config.h \
	[-]gnumeric.h dialog-stf-export.h [-]stf-export.h \
	[-]workbook-control-gui.h [-]workbook-control.h \
	[-]gui-gnumeric.h dialog-stf-export-private.h \
	[-]gui-util.h [-]error-info.h [-]gutils.h \
	[-]numbers.h [-]command-context.h
dialog-stf-fixed-page.obj : dialog-stf-fixed-page.c [--]gnumeric-config.h \
	[-]gnumeric.h dialog-stf.h dialog-stf-preview.h \
	[-]gui-gnumeric.h [-]sheet.h [-]colrow.h \
	[-]solver.h [-]numbers.h [-]stf.h \
	[-]stf-parse.h [-]cell.h [-]eval.h \
	[-]gui-util.h [-]workbook-control-gui.h \
	[-]workbook-control.h [-]error-info.h \
	[-]gutils.h
dialog-stf-format-page.obj : dialog-stf-format-page.c \
	[--]gnumeric-config.h [-]gnumeric.h dialog-stf.h \
	dialog-stf-preview.h [-]gui-gnumeric.h [-]sheet.h \
	[-]colrow.h [-]solver.h [-]numbers.h \
	[-]stf.h [-]stf-parse.h [-]cell.h \
	[-]eval.h [-]format.h [-]formats.h \
	[-]gui-util.h [-]workbook-control-gui.h \
	[-]workbook-control.h [-]error-info.h \
	[-]gutils.h
dialog-stf-main-page.obj : dialog-stf-main-page.c [--]gnumeric-config.h \
	[-]gnumeric.h dialog-stf.h dialog-stf-preview.h \
	[-]gui-gnumeric.h [-]sheet.h [-]colrow.h \
	[-]solver.h [-]numbers.h [-]stf.h \
	[-]stf-parse.h [-]cell.h [-]eval.h \
	[-]gui-util.h [-]workbook-control-gui.h \
	[-]workbook-control.h [-]error-info.h \
	[-]gutils.h
dialog-stf-preview.obj : dialog-stf-preview.c [--]gnumeric-config.h \
	[-]gnumeric.h dialog-stf-preview.h \
	[-]gui-gnumeric.h [-]sheet.h [-]colrow.h \
	[-]solver.h [-]numbers.h [-]stf.h \
	dialog-stf.h [-]stf-parse.h [-]cell.h \
	[-]eval.h [-]format.h [-]number-match.h \
	[-]value.h [-]position.h [-]portability.h
dialog-stf.obj : dialog-stf.c [--]gnumeric-config.h [-]gnumeric.h \
	dialog-stf.h dialog-stf-preview.h [-]gui-gnumeric.h \
	[-]sheet.h [-]colrow.h [-]solver.h \
	[-]numbers.h [-]stf.h [-]stf-parse.h \
	[-]cell.h [-]eval.h [-]format.h \
	[-]command-context.h [-]error-info.h \
	[-]workbook-control.h [-]gui-util.h \
	[-]workbook-control-gui.h [-]gutils.h
dialog-summary.obj : dialog-summary.c [--]gnumeric-config.h \
	[-]gnumeric.h dialogs.h [-]consolidate.h \
	[-]summary.h [-]workbook-control-gui.h \
	[-]workbook-control.h [-]gui-gnumeric.h \
	[-]gui-util.h [-]error-info.h [-]gutils.h \
	[-]numbers.h [-]workbook.h [-]file.h \
	[-]io-context.h
dialog-tabulate.obj : dialog-tabulate.c [--]gnumeric-config.h \
	[-]gnumeric.h dialogs.h [-]consolidate.h \
	[-]summary.h [-]workbook-control-gui.h \
	[-]workbook-control.h [-]gui-gnumeric.h \
	[-]gui-util.h [-]error-info.h [-]gutils.h \
	[-]numbers.h [-.widgets]gnumeric-expr-entry.h \
	[-]workbook-edit.h [-]ranges.h [-]value.h \
	[-]position.h [-]sheet.h [-]colrow.h \
	[-]solver.h [-]mstyle.h [-]style.h \
	[-]workbook.h [-]file.h [-]io-context.h \
	[-]mathfunc.h [-]cell.h [-]eval.h \
	[-]format.h [-]number-match.h \
	[-]style-border.h [-]sheet-style.h \
	[-]style-color.h
dialog-workbook-attr.obj : dialog-workbook-attr.c [--]gnumeric-config.h \
	[-]gnumeric.h dialogs.h [-]consolidate.h \
	[-]summary.h [-]workbook-control-gui.h \
	[-]workbook-control.h [-]gui-gnumeric.h \
	[-]sheet.h [-]colrow.h [-]solver.h \
	[-]numbers.h [-]style-color.h utils-dialog.h \
	[-.widgets]widget-font-selector.h [-]mstyle.h \
	[-]style.h [-]preview-grid.h \
	[-.widgets]gnumeric-dashed-canvas-line.h \
	[-]style-border.h [-]gui-util.h \
	[-]error-info.h [-]gutils.h [-]selection.h \
	[-]ranges.h [-]format.h [-]formats.h \
	[-]pattern.h [-]application.h \
	[-]workbook-view.h [-]file.h \
	[-]io-context.h [-]workbook.h \
	[-]commands.h [-]format-template.h \
	[-]sort.h
dialog-zoom.obj : dialog-zoom.c [--]gnumeric-config.h \
	[-]gnumeric.h dialogs.h [-]consolidate.h \
	[-]summary.h [-]workbook-control-gui.h \
	[-]workbook-control.h [-]gui-gnumeric.h \
	[-]gui-util.h [-]error-info.h [-]gutils.h \
	[-]numbers.h [-]commands.h \
	[-]format-template.h [-]sort.h \
	[-]workbook.h [-]file.h [-]io-context.h \
	[-]sheet.h [-]colrow.h [-]solver.h
utils-dialog.obj : utils-dialog.c [--]gnumeric-config.h \
	[-]gnumeric.h utils-dialog.h [-]gui-gnumeric.h
