#*****************************************************************************
#                                                                            *
# Make file for VMS                                                          *
# Author : J.Jansen (joukj@hrem.stm.tudelft.nl)                              *
# Date : 1 May 2002                                                          *
#                                                                            *
#*****************************************************************************

CFLAGS=/name=(as_is,short)/float=ieee\
        /define=("HAVE_CONFIG_H=1","NEED_GNOMESUPPORT_H=1",\
        "GNOMELOCALEDIR=""gnumeric$root:[locale]""")/include=([],[-],[--])

OBJEXT=obj,

OBJS=fn-database.$(OBJEXT) fn-date.$(OBJEXT) \
fn-eng.$(OBJEXT) fn-financial.$(OBJEXT) fn-information.$(OBJEXT) \
fn-logical.$(OBJEXT) fn-lookup.$(OBJEXT) fn-math.$(OBJEXT) \
fn-sheet.$(OBJEXT) fn-stat.$(OBJEXT) fn-string.obj

all : $(OBJS)
	library/create libfunctions.olb $(OBJS)
	write sys$output "libfunctions.olb created"

fn-database.obj : fn-database.c [--]gnumeric-config.h [-]gnumeric.h \
	[-]func.h [-]value.h [-]position.h [-]numbers.h [-]expr.h \
	[-]parse-util.h [-]func-util.h [-]str.h [-]cell.h [-]eval.h \
	[-]sheet.h [-]colrow.h [-]solver.h [-]number-match.h
fn-date.obj : fn-date.c [--]gnumeric-config.h [-]gnumeric.h [-]func.h \
	[-]value.h [-]position.h [-]numbers.h [-]expr.h [-]parse-util.h \
	[-]mathfunc.h [-]str.h [-]cell.h [-]eval.h [-]datetime.h \
	[-]auto-format.h
fn-eng.obj : fn-eng.c [--]gnumeric-config.h [-]gnumeric.h [-]func.h \
	[-]value.h [-]position.h [-]numbers.h [-]expr.h [-]parse-util.h \
	[-]complex.h [-]str.h [-]mathfunc.h
fn-financial.obj : fn-financial.c [--]gnumeric-config.h [-]gnumeric.h \
	[-]func.h [-]value.h [-]position.h [-]numbers.h [-]expr.h \
	[-]parse-util.h [-]cell.h [-]eval.h [-]goal-seek.h [-]collect.h \
	[-]auto-format.h [-]datetime.h [-]str.h
fn-information.obj : fn-information.c [--]gnumeric-config.h [-]gnumeric.h \
	[-]func.h [-]value.h [-]position.h [-]numbers.h [-]expr.h \
	[-]parse-util.h [-]cell.h [-]eval.h [-]str.h [-]sheet.h \
	[-]colrow.h [-]solver.h [-]workbook.h [-]summary.h [-]file.h \
	[-]io-context.h [-]error-info.h [-]format.h [-]formats.h \
	[-]style.h [-]mstyle.h [-]sheet-style.h [-]number-match.h
fn-logical.obj : fn-logical.c [--]gnumeric-config.h [-]gnumeric.h \
	[-]func.h [-]value.h [-]position.h [-]numbers.h [-]expr.h \
	[-]parse-util.h [-]cell.h [-]eval.h [-]auto-format.h
fn-lookup.obj : fn-lookup.c [--]gnumeric-config.h [-]gnumeric.h [-]func.h \
	[-]value.h [-]position.h [-]numbers.h [-]expr.h [-]parse-util.h \
	[-]eval.h [-]cell.h [-]str.h [-]sheet.h [-]colrow.h [-]solver.h \
	[-]expr-name.h
fn-math.obj : fn-math.c [--]gnumeric-config.h [-]gnumeric.h [-]func.h \
	[-]value.h [-]position.h [-]numbers.h [-]expr.h [-]parse-util.h \
	[-]func-util.h [-]cell.h [-]eval.h [-]sheet.h [-]colrow.h \
	[-]solver.h [-]str.h [-]mathfunc.h [-]rangefunc.h [-]collect.h \
	[-]auto-format.h
fn-sheet.obj : fn-sheet.c [--]gnumeric-config.h [-]gnumeric.h [-]func.h \
	[-]value.h [-]position.h [-]numbers.h [-]expr.h [-]parse-util.h \
	[-]cell.h [-]eval.h [-]selection.h
fn-stat.obj : fn-stat.c [--]gnumeric-config.h [-]gnumeric.h [-]func.h \
	[-]value.h [-]position.h [-]numbers.h [-]expr.h [-]parse-util.h \
	[-]func-util.h [-]mathfunc.h [-]rangefunc.h [-]regression.h \
	[-]sheet.h [-]colrow.h [-]solver.h [-]cell.h [-]eval.h \
	[-]collect.h [-]auto-format.h
fn-string.obj : fn-string.c [--]gnumeric-config.h [-]gnumeric.h [-]func.h \
	[-]value.h [-]position.h [-]numbers.h [-]expr.h [-]parse-util.h \
	[-]cell.h [-]eval.h [-]format.h [-]str.h [-]sheet.h [-]colrow.h \
	[-]solver.h [-]number-match.h [-]mathfunc.h
